Index: src/Analysis/analysis_bonds.cpp
===================================================================
--- src/Analysis/analysis_bonds.cpp	(revision aa6c750e6eb1613052133fde2c7fc67bee85b55c)
+++ src/Analysis/analysis_bonds.cpp	(revision 95422c13513e471b244d90385e0888e332e5fbde)
@@ -21,5 +21,5 @@
 
 #include "analysis_bonds.hpp"
-#include "atom.hpp"
+#include "Atom/atom.hpp"
 #include "Bond/bond.hpp"
 #include "Element/element.hpp"
Index: src/Analysis/analysis_correlation.cpp
===================================================================
--- src/Analysis/analysis_correlation.cpp	(revision aa6c750e6eb1613052133fde2c7fc67bee85b55c)
+++ src/Analysis/analysis_correlation.cpp	(revision 95422c13513e471b244d90385e0888e332e5fbde)
@@ -24,5 +24,5 @@
 #include <limits>
 
-#include "atom.hpp"
+#include "Atom/atom.hpp"
 #include "Bond/bond.hpp"
 #include "Tesselation/BoundaryTriangleSet.hpp"
Index: src/Analysis/analysis_correlation.hpp
===================================================================
--- src/Analysis/analysis_correlation.hpp	(revision aa6c750e6eb1613052133fde2c7fc67bee85b55c)
+++ src/Analysis/analysis_correlation.hpp	(revision 95422c13513e471b244d90385e0888e332e5fbde)
@@ -28,5 +28,5 @@
 #include "Helpers/defs.hpp"
 
-#include "atom.hpp"
+#include "Atom/atom.hpp"
 #include "CodePatterns/Info.hpp"
 #include "CodePatterns/Log.hpp"
Index: src/Analysis/unittests/AnalysisBondsUnitTest.cpp
===================================================================
--- src/Analysis/unittests/AnalysisBondsUnitTest.cpp	(revision aa6c750e6eb1613052133fde2c7fc67bee85b55c)
+++ src/Analysis/unittests/AnalysisBondsUnitTest.cpp	(revision 95422c13513e471b244d90385e0888e332e5fbde)
@@ -29,5 +29,5 @@
 
 #include "Analysis/analysis_bonds.hpp"
-#include "atom.hpp"
+#include "Atom/atom.hpp"
 #include "Bond/bond.hpp"
 #include "Element/element.hpp"
Index: src/Analysis/unittests/AnalysisCorrelationToPointUnitTest.cpp
===================================================================
--- src/Analysis/unittests/AnalysisCorrelationToPointUnitTest.cpp	(revision aa6c750e6eb1613052133fde2c7fc67bee85b55c)
+++ src/Analysis/unittests/AnalysisCorrelationToPointUnitTest.cpp	(revision 95422c13513e471b244d90385e0888e332e5fbde)
@@ -27,5 +27,5 @@
 
 #include "Analysis/analysis_correlation.hpp"
-#include "atom.hpp"
+#include "Atom/atom.hpp"
 #include "Descriptors/MoleculeDescriptor.hpp"
 #include "Element/element.hpp"
Index: src/Analysis/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp
===================================================================
--- src/Analysis/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp	(revision aa6c750e6eb1613052133fde2c7fc67bee85b55c)
+++ src/Analysis/unittests/AnalysisCorrelationToSurfaceUnitTest.cpp	(revision 95422c13513e471b244d90385e0888e332e5fbde)
@@ -27,5 +27,5 @@
 
 #include "Analysis/analysis_correlation.hpp"
-#include "atom.hpp"
+#include "Atom/atom.hpp"
 #include "CodePatterns/Assert.hpp"
 #include "Descriptors/MoleculeDescriptor.hpp"
Index: src/Analysis/unittests/AnalysisPairCorrelationUnitTest.cpp
===================================================================
--- src/Analysis/unittests/AnalysisPairCorrelationUnitTest.cpp	(revision aa6c750e6eb1613052133fde2c7fc67bee85b55c)
+++ src/Analysis/unittests/AnalysisPairCorrelationUnitTest.cpp	(revision 95422c13513e471b244d90385e0888e332e5fbde)
@@ -29,5 +29,5 @@
 #include "Descriptors/MoleculeDescriptor.hpp"
 
-#include "atom.hpp"
+#include "Atom/atom.hpp"
 #include "Element/element.hpp"
 #include "Element/periodentafel.hpp"
Index: src/Analysis/unittests/CountBondsUnitTest.cpp
===================================================================
--- src/Analysis/unittests/CountBondsUnitTest.cpp	(revision aa6c750e6eb1613052133fde2c7fc67bee85b55c)
+++ src/Analysis/unittests/CountBondsUnitTest.cpp	(revision 95422c13513e471b244d90385e0888e332e5fbde)
@@ -31,5 +31,5 @@
 
 #include "Analysis/analysis_bonds.hpp"
-#include "atom.hpp"
+#include "Atom/atom.hpp"
 #include "Bond/bond.hpp"
 #include "Element/element.hpp"