Index: ThirdParty/mpqc_open/src/lib/util/group/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/group/Makefile.am	(revision 23612c4cde38aab3441a98c997aecb0159a80970)
+++ ThirdParty/mpqc_open/src/lib/util/group/Makefile.am	(revision 251420b85c0c98a71ff47790948da5c56856dae3)
@@ -1,3 +1,34 @@
 LIBSCGROUPSOURCES = \
+	util/group/globcnt.cc \
+	util/group/hcube.cc \
+	util/group/memamsg.cc \
+	util/group/memiter.cc \
+	util/group/memmsg.cc \
+	util/group/memmtmpi.cc \
+	util/group/memory.cc \
+	util/group/memproc.cc \
+	util/group/memrdma.cc \
+	util/group/memshm.cc \
+	util/group/message.cc \
+	util/group/messimpl.cc \
+	util/group/messint.cc \
+	util/group/messmpi.cc \
+	util/group/messproc.cc \
+	util/group/messshm.cc \
+	util/group/mstate.cc \
+	util/group/pool.cc \
+	util/group/pregtime.cc \
+	util/group/reduce.cc \
+	util/group/rnglock.cc \
+	util/group/thpthd.cc \
+	util/group/thread.cc \
+	util/group/topology.cc
+
+#	util/group/file.cc \
+#	util/group/fileproc.cc \
+#	util/group/memarmci.cc \
+#	util/group/thpuma.cc \
+#
+TESTSOURCES = \
 	util/group/message.cc \
 	util/group/messimpl.cc \
@@ -18,35 +49,35 @@
 	util/group/memrdma.cc
 
-# 	util/group/file.cc \
-# 	util/group/fileproc.cc \
-# 	util/group/globcnt.cc \
-# 	util/group/hcube.cc \
-# 	util/group/memamsg.cc \
-# 	util/group/memarmci.cc \
-# 	util/group/memiter.cc \
-# 	util/group/memmsg.cc \
-# 	util/group/memmtmpi.cc \
-# 	util/group/memory.cc \
-# 	util/group/memproc.cc \
-# 	util/group/memrdma.cc \
-# 	util/group/memshm.cc \
-# 	util/group/message.cc \
-# 	util/group/messimpl.cc \
-# 	util/group/messint.cc \
-# 	util/group/messmpi.cc \
-# 	util/group/messproc.cc \
-# 	util/group/messshm.cc \
-# 	util/group/mstate.cc \
-# 	util/group/pool.cc \
-# 	util/group/pregtime.cc \
-# 	util/group/reduce.cc \
-# 	util/group/rnglock.cc \
-#	util/group/thpthd.cc \
-#	util/group/thpuma.cc \
-#	util/group/thread.cc \
-# 	util/group/topology.cc
+LIBSCGROUPHEADERS = \
+	util/group/globcnt.h \
+	util/group/hcube.h \
+	util/group/LIBS.h \
+	util/group/linkage.h \
+	util/group/memamsg.h \
+	util/group/memiter.h \
+	util/group/memmsg.h \
+	util/group/memmtmpi.h \
+	util/group/memory.h \
+	util/group/memproc.h \
+	util/group/memrdma.h \
+	util/group/memshm.h \
+	util/group/message.h \
+	util/group/messaget.h \
+	util/group/messmpi.h \
+	util/group/messshm.h \
+	util/group/mstate.h \
+	util/group/pool.h \
+	util/group/pregtime.h \
+	util/group/rnglock.h \
+	util/group/thpthd.h \
+	util/group/thread.h \
+	util/group/topology.h
 
-
-LIBSCGROUPHEADERS = \
+#	util/group/file.h \
+#	util/group/fileproc.h \
+#	util/group/memarmci.h \
+#	util/group/thpuma.h \
+#
+TESTHEADERS = \
 	util/group/message.h \
 	util/group/topology.h \
@@ -62,33 +93,4 @@
 	util/group/memiter.h \
 	util/group/memrdma.h
-		
-# 	util/group/file.h \
-# 	util/group/fileproc.h \
-#	util/group/globcnt.h \
-# 	util/group/hcube.h \
-# 	util/group/LIBS.h \
-#	util/group/linkage.h \
-# 	util/group/memamsg.h \
-# 	util/group/memarmci.h \
-# 	util/group/memiter.h \
-# 	util/group/memmsg.h \
-# 	util/group/memmtmpi.h \
-# 	util/group/memory.h \
-# 	util/group/memproc.h \
-# 	util/group/memrdma.h \
-# 	util/group/memshm.h \
-# 	util/group/message.h \
-# 	util/group/messaget.h \
-# 	util/group/messmpi.h \
-# 	util/group/messshm.h \
-# 	util/group/mstate.h \
-# 	util/group/pool.h \
-# 	util/group/pregtime.h \
-# 	util/group/rnglock.h \
-# 	util/group/thpthd.h \
-# 	util/group/thpuma.h \
-# 	util/group/thread.h \
-# 	util/group/topology.h
-
 
 lib_LTLIBRARIES +=
@@ -143,11 +145,5 @@
 
 GROUPLIBS = \
-	libSCgroup.la \
-	libSCkeyval.la \
-	libSCmisc.la \
-	libSCstate.la \
-	libSCclass.la \
-	libSCcontainer.la \
-	libSCref.la
+	libSCgroup.la libSCmisc.la libSCstate.la libSCkeyval.la libSCclass.la libSCcontainer.la libSCref.la
 
 memtest_SOURCES = \
Index: ThirdParty/mpqc_open/src/lib/util/misc/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/misc/Makefile.am	(revision 23612c4cde38aab3441a98c997aecb0159a80970)
+++ ThirdParty/mpqc_open/src/lib/util/misc/Makefile.am	(revision 251420b85c0c98a71ff47790948da5c56856dae3)
@@ -81,5 +81,4 @@
 	scinttest \
 	bugtest \
-	scextest_misc \
 	unittest \
 	formiot
@@ -88,5 +87,6 @@
 noinst_PROGRAMS += $(MISCTESTS)
 
-MISCLIBS =
+MISCLIBS = \
+	libSCmisc.la libSCstate.la libSCkeyval.la libSCclass.la libSCcontainer.la libSCref.la
 
 autovectest_SOURCES = \
@@ -115,9 +115,4 @@
         $(MISCLIBS)
 
-scextest_misc_SOURCES = \
-	util/misc/scextest.cc
-scextest_misc_LDADD = \
-        $(MISCLIBS)
-
 unittest_SOURCES = \
 	util/misc/unittest.cc
Index: ThirdParty/mpqc_open/src/lib/util/ref/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/ref/Makefile.am	(revision 23612c4cde38aab3441a98c997aecb0159a80970)
+++ ThirdParty/mpqc_open/src/lib/util/ref/Makefile.am	(revision 251420b85c0c98a71ff47790948da5c56856dae3)
@@ -61,6 +61,6 @@
 reftest_SOURCES = \
 	util/ref/reftest.cc \
-	util/ref/reftextx.cc \
-	util/ref/reftextx.h
+	util/ref/reftestx.cc \
+	util/ref/reftestx.h
 
 reftest_LDADD = \
Index: ThirdParty/mpqc_open/src/lib/util/render/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/render/Makefile.am	(revision 23612c4cde38aab3441a98c997aecb0159a80970)
+++ ThirdParty/mpqc_open/src/lib/util/render/Makefile.am	(revision 251420b85c0c98a71ff47790948da5c56856dae3)
@@ -82,7 +82,5 @@
 
 RENDERLIBS = \
-        libSCkeyval.la \
-        libSCgroup.la libSCrender.la libSCclass.la \
-        libSCcontainer.la libSCref.la libSCmisc.la
+	libSCrender.la libSCmisc.la libSCstate.la libSCkeyval.la libSCclass.la libSCcontainer.la libSCref.la
 
 rentest_SOURCES = \
Index: ThirdParty/mpqc_open/src/lib/util/state/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/state/Makefile.am	(revision 23612c4cde38aab3441a98c997aecb0159a80970)
+++ ThirdParty/mpqc_open/src/lib/util/state/Makefile.am	(revision 251420b85c0c98a71ff47790948da5c56856dae3)
@@ -70,7 +70,5 @@
 
 STATELIBS = \
-        libSCkeyval.la \
-        libSCgroup.la libSCstate.la libSCclass.la \
-        libSCcontainer.la libSCref.la libSCmisc.la
+	libSCkeyval.la libSCgroup.la libSCstate.la libSCclass.la libSCcontainer.la libSCref.la libSCmisc.la
 
 statetest_SOURCES = \
Index: ThirdParty/mpqc_open/src/lib/util/state/statetest.cc
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/state/statetest.cc	(revision 23612c4cde38aab3441a98c997aecb0159a80970)
+++ ThirdParty/mpqc_open/src/lib/util/state/statetest.cc	(revision 251420b85c0c98a71ff47790948da5c56856dae3)
@@ -432,5 +432,5 @@
   cout << " --- saving to A ---" << endl;
   StateOutTypeA soa("statetest.a.out");
-  ra = new A(new PrefixKeyVal("test:object_a",pkv));
+  ra = new A(new PrefixKeyVal(pkv, "test:object_a"));
   cout << "  first a" << endl;
   ra->save_object_state(soa);