Index: src/Atom/unittests/Makefile.am
===================================================================
--- src/Atom/unittests/Makefile.am	(revision 474c62deebfabdc712380d9ca33ebb5282cd5906)
+++ src/Atom/unittests/Makefile.am	(revision 353326a20d3df89dedb94b680eb07bcfc298472e)
@@ -21,18 +21,9 @@
 
 ATOMTESTLIBS = \
-	../libMolecuilderUI.la \
-	../libMolecuilderActions.la \
-	../libMolecuilderParser.la \
-	../libMolecuilder.la \
-	../libMolecuilderShapes.la
-if CONDJOBMARKET
-ATOMTESTLIBS += \
-	../libMolecuilderJobs.la
-endif
+	../libMolecuilderUI.la
 ATOMTESTLIBS += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	../libMolecuilderRandomNumbers.la \
-	${CodePatterns_LIBS}
-
+	${CodePatterns_LIBS} \
+	$(BOOST_LIB)
 
 AtomObserverUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
Index: src/Descriptors/unittests/Makefile.am
===================================================================
--- src/Descriptors/unittests/Makefile.am	(revision 474c62deebfabdc712380d9ca33ebb5282cd5906)
+++ src/Descriptors/unittests/Makefile.am	(revision 353326a20d3df89dedb94b680eb07bcfc298472e)
@@ -19,9 +19,5 @@
 
 DESCRIPTORLIBS = \
-	../libMolecuilderUI.la \
-	../libMolecuilderActions.la \
-	../libMolecuilderParser.la \
-	../libMolecuilder.la \
-	../libMolecuilderShapes.la
+	../libMolecuilderUI.la
 if CONDJOBMARKET
 DESCRIPTORLIBS += \
@@ -30,6 +26,6 @@
 DESCRIPTORLIBS += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	../libMolecuilderRandomNumbers.la \
-	${CodePatterns_LIBS}
+	${CodePatterns_LIBS} \
+	$(BOOST_LIB)
 
 
Index: src/Filling/unittests/Makefile.am
===================================================================
--- src/Filling/unittests/Makefile.am	(revision 474c62deebfabdc712380d9ca33ebb5282cd5906)
+++ src/Filling/unittests/Makefile.am	(revision 353326a20d3df89dedb94b680eb07bcfc298472e)
@@ -44,5 +44,5 @@
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+	$(BOOST_LIB)
 
 ClusterUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
Index: src/Fragmentation/Summation/unittests/Makefile.am
===================================================================
--- src/Fragmentation/Summation/unittests/Makefile.am	(revision 474c62deebfabdc712380d9ca33ebb5282cd5906)
+++ src/Fragmentation/Summation/unittests/Makefile.am	(revision 353326a20d3df89dedb94b680eb07bcfc298472e)
@@ -49,4 +49,5 @@
 IndexSetContainerUnitTest_LDADD = \
 	../libMolecuilderFragmentation.la \
+	../libMolecuilderFragmentation_KeysetsContainer.la \
 	../libMolecuilderHelpers.la \
 	${FRAGMENTATIONSUMMATIONLIBS}
Index: src/Jobs/unittests/Makefile.am
===================================================================
--- src/Jobs/unittests/Makefile.am	(revision 474c62deebfabdc712380d9ca33ebb5282cd5906)
+++ src/Jobs/unittests/Makefile.am	(revision 353326a20d3df89dedb94b680eb07bcfc298472e)
@@ -19,4 +19,5 @@
 	../libMolecuilderJobs.la \
 	../libMolecuilderFragmentationContainers.la \
+	../libMolecuilderFragmentationSummation.la \
 	$(JobMarket_LIBS) \
 	$(BOOST_SERIALIZATION_LDFLAGS) $(BOOST_SERIALIZATION_LIBS) \
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 474c62deebfabdc712380d9ca33ebb5282cd5906)
+++ src/Makefile.am	(revision 353326a20d3df89dedb94b680eb07bcfc298472e)
@@ -222,4 +222,18 @@
 noinst_LTLIBRARIES += libMolecuilder.la
 libMolecuilder_la_includedir = $(includedir)/MoleCuilder/
+libMolecuilder_la_LDFLAGS = \
+	$(AM_LDFLAGS) \
+	$(CodePatterns_LDFLAGS) \
+	$(BOOST_SYSTEM_LDFLAGS) \
+	$(BOOST_THREAD_LDFLAGS)
+libMolecuilder_la_LIBADD = \
+	libMolecuilderShapes.la \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
+	${CodePatterns_LIBS} \
+	$(BOOST_SERIALIZATION_LIBS) \
+	$(BOOST_PROGRAM_OPTIONS_LIBS) \
+	$(BOOST_FILESYSTEM_LIBS) \
+	$(BOOST_SYSTEM_LIBS) \
+	$(BOOST_THREAD_LIBS)
 
 nobase_libMolecuilder_la_include_HEADERS = ${MOLECUILDERHEADER}
@@ -322,6 +336,4 @@
 	builder_init.cpp \
 	builder_init.hpp \
-	cleanUp.cpp \
-	cleanUp.hpp \
 	PythonScripting.hpp
 molecuilder_LDADD = \
@@ -359,6 +371,4 @@
 	builder_init.cpp \
 	builder_init.hpp \
-	cleanUp.cpp \
-	cleanUp.hpp \
 	PythonScripting.hpp
 molecuildergui_CPPFLAGS = $(AM_CPPFLAGS) -DUSE_GUI_QT
@@ -404,5 +414,4 @@
 joiner_LDFLAGS = $(AM_LDFLAGS) $(BOOST_THREAD_LDFLAGS)
 joiner_LDADD = \
-	libMolecuilderFragmentation_getFromKeysetStub.la \
 	libMolecuilderFragmentation.la \
 	libMolecuilderFragmentation_KeysetsContainer.la \
@@ -417,5 +426,4 @@
 analyzer_LDFLAGS = $(AM_LDFLAGS) $(BOOST_THREAD_LDFLAGS)
 analyzer_LDADD = \
-	libMolecuilderFragmentation_getFromKeysetStub.la \
 	libMolecuilderFragmentation.la \
 	libMolecuilderFragmentation_KeysetsContainer.la \
@@ -456,4 +464,5 @@
 	libMolecuilderFragmentation_getFromKeysetStub.la \
 	libMolecuilderFragmentation.la \
+	libMolecuilderFragmentation_KeysetsContainer.la \
 	libMolecuilderHelpers.la \
 	$(JobMarket_Controller_LIBS) \
Index: src/UIElements/CommandLineUI/unittests/Makefile.am
===================================================================
--- src/UIElements/CommandLineUI/unittests/Makefile.am	(revision 474c62deebfabdc712380d9ca33ebb5282cd5906)
+++ src/UIElements/CommandLineUI/unittests/Makefile.am	(revision 353326a20d3df89dedb94b680eb07bcfc298472e)
@@ -19,10 +19,5 @@
   ../UIElements/CommandLineUI/unittests/CommandLineParser_ActionRegistry_ConsistencyUnitTest.hpp
 CommandLineParser_ActionRegistry_ConsistencyUnitTest_LDADD = \
-  ../libMolecuilderUI.la \
-  ../libMolecuilderActions.la \
-  ../libMolecuilderGraph.la \
-  ../libMolecuilder.la \
-  ../libMolecuilderParser.la \
-  ../libMolecuilderShapes.la
+  ../libMolecuilderUI.la
 if CONDJOBMARKET
 CommandLineParser_ActionRegistry_ConsistencyUnitTest_LDADD += \
@@ -31,7 +26,6 @@
 CommandLineParser_ActionRegistry_ConsistencyUnitTest_LDADD += \
   $(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-  ../libMolecuilderRandomNumbers.la \
-  ${CodePatterns_LIBS}
-#  $(BOOST_LIB)
+  ${CodePatterns_LIBS} \
+  $(BOOST_LIB)
 
 #AUTOMAKE_OPTIONS = parallel-tests
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 474c62deebfabdc712380d9ca33ebb5282cd5906)
+++ src/UIElements/Makefile.am	(revision 353326a20d3df89dedb94b680eb07bcfc298472e)
@@ -295,5 +295,8 @@
 ## from each source file.  Note that it is not necessary to list header files
 ## which are already listed elsewhere in a _HEADERS variable assignment.
-libMolecuilderUI_la_SOURCES = ${UISOURCE}
+libMolecuilderUI_la_SOURCES = \
+	${UISOURCE} \
+	cleanUp.cpp \
+	cleanUp.hpp
 
 ## Instruct libtool to include ABI version information in the generated shared
Index: src/UIElements/Menu/unittests/Makefile.am
===================================================================
--- src/UIElements/Menu/unittests/Makefile.am	(revision 474c62deebfabdc712380d9ca33ebb5282cd5906)
+++ src/UIElements/Menu/unittests/Makefile.am	(revision 353326a20d3df89dedb94b680eb07bcfc298472e)
@@ -18,7 +18,14 @@
 noinst_PROGRAMS += $(UIELEMENTSMENUTESTS)
 
-MENULIBS = 
-#  $(BOOST_LIB)
-
+MENULIBS = \
+  ../libMolecuilderUI.la
+if CONDJOBMARKET
+MENULIBS += \
+	../libMolecuilderJobs.la
+endif
+MENULIBS += \
+  $(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
+  ${CodePatterns_LIBS} \
+  $(BOOST_LIB)
 
 MenuDescriptionUnitTest_SOURCES =  $(top_srcdir)/src/unittests/UnitTestMain.cpp \
@@ -34,20 +41,5 @@
   ../UIElements/Menu/unittests/MenuDescription_ActionRegistry_ConsistencyUnitTest.hpp
 MenuDescription_ActionRegistry_ConsistencyUnitTest_LDADD = \
-  ../libMolecuilderUI.la \
-  ../libMolecuilderActions.la \
-  ../libMolecuilderGraph.la \
-  ../libMolecuilder.la \
-  ../libMolecuilderParser.la \
-  ../libMolecuilderShapes.la
-if CONDJOBMARKET
-MenuDescription_ActionRegistry_ConsistencyUnitTest_LDADD += \
-	../libMolecuilderJobs.la
-endif
-MenuDescription_ActionRegistry_ConsistencyUnitTest_LDADD += \
-  $(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-  ../libMolecuilderRandomNumbers.la \
-  ${CodePatterns_LIBS}
-
-#  $(BOOST_LIB)
+	$(MENULIBS)
 
 
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 474c62deebfabdc712380d9ca33ebb5282cd5906)
+++ src/unittests/Makefile.am	(revision 353326a20d3df89dedb94b680eb07bcfc298472e)
@@ -41,5 +41,8 @@
 INCLUDES = -I$(top_srcdir)/src -I$(top_srcdir)/LinearAlgebra/src 
 
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
+AM_LDFLAGS = \
+	${CodePatterns_LIBS} \
+	$(CPPUNIT_LIBS) \
+	-ldl
 AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
 
@@ -69,9 +72,9 @@
 	$(BOOST_FILESYSTEM_LDFLAGS) $(BOOST_FILESYSTEM_LIBS) \
 	$(BOOST_SERIALIZATION_LDFLAGS) $(BOOST_SERIALIZATION_LIBS) \
-	$(BOOST_SYSTEM_LDFLAGS) $(BOOST_SYSTEM_LIBS)
+	$(BOOST_SYSTEM_LDFLAGS) $(BOOST_SYSTEM_LIBS) \
+	$(BOOST_THREAD_LDFLAGS) $(BOOST_THREAD_LIBS)
 
 GENERALLIBS = \
 	../libMolecuilder.la \
-	../libMolecuilderHelpers.la \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
@@ -79,7 +82,5 @@
 
 ALLLIBS = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la
+	../libMolecuilderUI.la
 if CONDJOBMARKET
 ALLLIBS += \
@@ -156,5 +157,6 @@
 	../libMolecuilderHelpers.la \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS}
+	${CodePatterns_LIBS} \
+	$(BOOST_LIB)
 
 AtomIdSetUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
@@ -185,5 +187,8 @@
 	MoleculeUnitTest.cpp \
 	MoleculeUnitTest.hpp
-MoleculeUnitTest_LDADD = $(ALLLIBS)
+MoleculeUnitTest_LDADD = \
+	$(ALLLIBS) \
+	../libMolecuilderShapes.la \
+	../libMolecuilderHelpers.la
 
 WorldTimeUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \