Index: configure.ac
===================================================================
--- configure.ac	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
+++ configure.ac	(revision 425516a7f03921844313b8d9804f147b3c796d9e)
@@ -3,5 +3,5 @@
 
 AC_PREREQ(2.59)
-AC_INIT(MoleCuilder, 1.6.0, [bug@molecuilder.de], [molecuilder], [http://www.molecuilder.de/])
+AC_INIT(MoleCuilder, 1.6.1, [bug@molecuilder.de], [molecuilder], [http://www.molecuilder.de/])
 AC_CONFIG_AUX_DIR([build-aux])
 AC_CONFIG_SRCDIR([src/builder.cpp])
@@ -167,6 +167,6 @@
 # refer to the libtool manual, section "Updating library version information":
 # http://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html
-AC_SUBST([MOLECUILDER_SO_VERSION], [17:0:1])
-AC_SUBST([MOLECUILDER_API_VERSION], [1.6.0])
+AC_SUBST([MOLECUILDER_SO_VERSION], [18:0:1])
+AC_SUBST([MOLECUILDER_API_VERSION], [1.6.1])
 
 dnl this macro is used to get the arguments supplied
Index: debian/changelog
===================================================================
--- debian/changelog	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
+++ debian/changelog	(revision 425516a7f03921844313b8d9804f147b3c796d9e)
@@ -1,2 +1,46 @@
+molecuilder (1.6.1-1) UNRELEASED; urgency=low
+
+  * Added ChemicalSpaceEvaluator Action to assess stability of all possible
+    molecules that match a given Graph6 string using fragmentation method
+    principles.
+  * Python Interface supports (and recommends using) named parameters.
+    Moreover, save-session will write scripts with named parameters.
+  * GUI displays forces and velocities as additional vectors per atom.
+  * AutomationFragmentationAction checks whether workers are still busy and
+    aborts when all workers have crashed.
+  * JobMarket: is now robust when worker or server is killed by signal.
+  * JobMarket: Added GetNumbersOfWorkerOperation.
+  * ForceAnnealing/StructreOptimization Action can now take the bond graph
+    information into account and significantly speed up optimization up to a 
+    factor of 3.
+  * added molecular dynamics and structure optimization integration tests.
+  * FIX: recreated and fixed guicheck tests.
+  * StretchBondAction now takes the bond graph into account.
+  * Added examples test case with many ways of translation atoms, see blog 
+    post.
+  * enhanced precision of tremolo format making it the recommended file format
+    to use!
+  * Tremolo file format now supports multiple time steps.
+  * DOCU: Updated userguide on empirical potential using HomologyGraph.
+  * Added SelectAtomByName action.
+  * DOCU: several fixes to userguide.
+  * FIX: GUI again reacts to WorldTime changes, i.e. time slider.
+  * changed email address to sent bug reports to.
+  * Added AtomRandomPerturbation to randomly displace atoms.
+  * DOCU: explained wait() necessity in python scripts.
+  * StepWorldTime now uses a single argument.
+  * FIX: Status messages are now always pushed to log, even when logging is
+    captured in GUI.
+  * RotateToPAS has working undo/redo.
+  * Added RotateAroundBond action for rotating molecule around specific bond.
+  * Added very powerful GeometryObjects to use as any vector object or for 
+    simply measuring distances and angles in the GUI.
+  * CodePatterns, fix: Chronos is thread-safe, and protecting Verbosity.
+  * fixes: regression tests ports between 11024 and 19999.
+  * builds on Ubuntu 16.04
+  * MemDebug is now disabled by default.
+
+ -- Frederik Heber <heber@molecuilder.com>  Fri, 02 Mar 2017 23:45:24 +0100
+
 molecuilder (1.6.0-1) UNRELEASED; urgency=low
 
Index: debian/control
===================================================================
--- debian/control	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
+++ debian/control	(revision 425516a7f03921844313b8d9804f147b3c796d9e)
@@ -8,8 +8,8 @@
  libboost-graph-dev (>=1.46), libboost-system-dev (>=1.46), 
  libboost-filesystem-dev (>=1.46), libboost-iostreams-dev (>=1.46),
- libboost-python-dev (>=1.46), python (>=2.7), python-dev (>=2.7), libgsl0-dev, 
- liblapack-dev (>= 3.3.1), units, libcppunit-dev (>=1.12), 
- libqt4-dev (>=4.8.5), libqt4-3d-dev (>=1.0), libqwt5-qt4-dev (>=5.2.2), 
- doxygen (>=1.7.6), graphviz (>= 2.26.3)
+ libboost-python-dev (>=1.46), python (>=2.7), python-dev (>=2.7), 
+ python-numpy, libgsl0-dev, liblapack-dev (>= 3.3.1), units, 
+ libcppunit-dev (>=1.12), libqt4-dev (>=4.8.5), libqt4-3d-dev (>=1.0), 
+ libqwt5-qt4-dev (>=5.2.2), doxygen (>=1.7.6), graphviz (>= 2.26.3)
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.3
Index: debian/rules
===================================================================
--- debian/rules	(revision 209f4c1e54b5c2f4f63311de0d4f0a5451178a00)
+++ debian/rules	(revision 425516a7f03921844313b8d9804f147b3c796d9e)
@@ -4,5 +4,5 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-debug --disable-valgrind --enable-qtgui-capture-log --enable-action-thread --enable-jobmarket --enable-vmg --with-vmg-mpi --enable-python --enable-qtgui --enable-qwt --enable-levmar --with-default-parallel=none CXX='mpic++' CC='mpicc' F77='mpif77' --with-Qt-bin=/usr/share/qt4/bin --with-qwt-include=/usr/include/qwt-qt4 --with-qwt-libdir=/usr/lib --enable-production
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-debug --disable-valgrind --enable-qtgui-capture-log --enable-action-thread --enable-jobmarket --enable-vmg --with-vmg-mpi --enable-python --enable-qtgui --enable-qwt --enable-levmar --with-default-parallel=none CXX='mpic++' CC='mpicc' FC='mpif90' --with-Qt-bin=/usr/share/qt4/bin --with-qwt-include=/usr/include/qwt-qt4 --with-qwt-libdir=/usr/lib --enable-production
 
 DEB_MAKE_CHECK_TARGET = check