Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 708277b9c1c504a9afcd99e6e8e14984efa62bf1)
@@ -85,5 +85,5 @@
 {
 #ifdef LOG_OBSERVER
-  observerLog().addMessage() << "++ Update of Observer " << observerLog().getName(this) << " from atom "+toString(_atom->getId())+".";
+  observerLog().addMessage() << "++ Update of Observer " << observerLog().getName(static_cast<Observer *>(this)) << " from atom "+toString(_atom->getId())+".";
 #endif
   resetProperties();
@@ -158,5 +158,5 @@
     // notofication from atom
 #ifdef LOG_OBSERVER
-    observerLog().addMessage() << "++ Update of Observer "<< observerLog().getName(this)
+    observerLog().addMessage() << "++ Update of Observer "<< observerLog().getName(static_cast<Observer *>(this))
           << " received notification from atom " << _atom->getId() << " for channel "
           << notification->getChannelNo() << ".";
@@ -191,5 +191,5 @@
     // notification from world
 #ifdef LOG_OBSERVER
-    observerLog().addMessage() << "++ Update of Observer "<< observerLog().getName(this)
+    observerLog().addMessage() << "++ Update of Observer "<< observerLog().getName(static_cast<Observer *>(this))
           << " received notification from world for channel "
           << notification->getChannelNo() << ".";
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision 708277b9c1c504a9afcd99e6e8e14984efa62bf1)
@@ -91,5 +91,5 @@
   const molecule *_mol = static_cast<molecule *>(publisher);
 #ifdef LOG_OBSERVER
-  observerLog().addMessage() << "++ Update of Observer " << observerLog().getName(this) << " from molecule "+toString(_molecule->getId())+".";
+  observerLog().addMessage() << "++ Update of Observer " << observerLog().getName(static_cast<Observer *>(this)) << " from molecule "+toString(_molecule->getId())+".";
 #endif
 }
@@ -103,5 +103,5 @@
     // notofication from atom
 #ifdef LOG_OBSERVER
-    observerLog().addMessage() << "++ Update of Observer "<< observerLog().getName(this)
+    observerLog().addMessage() << "++ Update of Observer "<< observerLog().getName(static_cast<Observer *>(this))
           << " received notification from molecule " << _molecule->getId() << " for channel "
           << notification->getChannelNo() << ".";
@@ -110,5 +110,5 @@
     // notification from world
 #ifdef LOG_OBSERVER
-    observerLog().addMessage() << "++ Update of Observer "<< observerLog().getName(this)
+    observerLog().addMessage() << "++ Update of Observer "<< observerLog().getName(static_cast<Observer *>(this))
           << " received notification from world for channel "
           << notification->getChannelNo() << ".";
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 3b0cfc2b8b6fd8f8fac57d50baee487f7bc05f86)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 708277b9c1c504a9afcd99e6e8e14984efa62bf1)
@@ -312,5 +312,5 @@
         const atom *_atom = World::getInstance().lastChanged<atom>();
   #ifdef LOG_OBSERVER
-        observerLog().addMessage() << "++ Observer " << observerLog().getName(this) << " received notification that atom "+toString(_atom->getId())+" has been inserted.";
+        observerLog().addMessage() << "++ Observer " << observerLog().getName(static_cast<Observer *>(this)) << " received notification that atom "+toString(_atom->getId())+" has been inserted.";
   #endif
         emit atomInserted(_atom);
@@ -321,5 +321,5 @@
         const atom *_atom = World::getInstance().lastChanged<atom>();
   #ifdef LOG_OBSERVER
-        observerLog().addMessage() << "++ Observer " << observerLog().getName(this) << " received notification that atom "+toString(_atom->getId())+" has been removed.";
+        observerLog().addMessage() << "++ Observer " << observerLog().getName(static_cast<Observer *>(this)) << " received notification that atom "+toString(_atom->getId())+" has been removed.";
   #endif
         emit atomRemoved(_atom);
@@ -329,5 +329,5 @@
       {
   #ifdef LOG_OBSERVER
-        observerLog().addMessage() << "++ Observer " << observerLog().getName(this) << " received notification that selection has changed.";
+        observerLog().addMessage() << "++ Observer " << observerLog().getName(static_cast<Observer *>(this)) << " received notification that selection has changed.";
   #endif
         emit worldSelectionChanged();
@@ -338,5 +338,5 @@
         const molecule *_molecule = World::getInstance().lastChanged<molecule>();
   #ifdef LOG_OBSERVER
-        observerLog().addMessage() << "++ Observer " << observerLog().getName(this) << " received notification that molecule "+toString(_molecule->getId())+" has been removed.";
+        observerLog().addMessage() << "++ Observer " << observerLog().getName(static_cast<Observer *>(this)) << " received notification that molecule "+toString(_molecule->getId())+" has been removed.";
   #endif
         emit moleculeInserted(_molecule);
@@ -347,5 +347,5 @@
         const molecule *_molecule = World::getInstance().lastChanged<molecule>();
   #ifdef LOG_OBSERVER
-        observerLog().addMessage() << "++ Observer " << observerLog().getName(this) << " received notification that molecule "+toString(_molecule->getId())+" has been removed.";
+        observerLog().addMessage() << "++ Observer " << observerLog().getName(static_cast<Observer *>(this)) << " received notification that molecule "+toString(_molecule->getId())+" has been removed.";
   #endif
         emit moleculeRemoved(_molecule);
@@ -362,5 +362,5 @@
         const atom *_atom = dynamic_cast<const atom *>(publisher);
     #ifdef LOG_OBSERVER
-        observerLog().addMessage() << "++ Observer " << observerLog().getName(this) << " received notification that atom "+toString(_atom->getId())+" has changed its position.";
+        observerLog().addMessage() << "++ Observer " << observerLog().getName(static_cast<Observer *>(this)) << " received notification that atom "+toString(_atom->getId())+" has changed its position.";
     #endif
         emit changed();