Index: ThirdParty/mpqc_open/lib/basis/aug-cc-pcvdz.kv
===================================================================
--- ThirdParty/mpqc_open/lib/basis/aug-cc-pcvdz.kv	(revision 860145ede0311b3539e419277d8ca4a3091f40b2)
+++ ThirdParty/mpqc_open/lib/basis/aug-cc-pcvdz.kv	(revision 860145ede0311b3539e419277d8ca4a3091f40b2)
@@ -0,0 +1,697 @@
+%BASIS "aug-cc-pCVDZ" CARTESIAN
+basis:(
+%Elements                             References
+%--------                             ----------
+% H     : T.H. Dunning, Jr. J. Chem. Phys. 90, 1007 (1989).
+% He    : D.E. Woon and T.H. Dunning, Jr. J. Chem. Phys. 100, 2975 (1994).
+%Li - Ne: T.H. Dunning, Jr. J. Chem. Phys. 90, 1007 (1989).
+%Na - Mg: D.E. Woon and T.H. Dunning, Jr.  (to be published)
+%Al - Ar: D.E. Woon and T.H. Dunning, Jr.  J. Chem. Phys. 98, 1358 (1993).
+%Ca     : J. Koput and K.A. Peterson, J. Phys. Chem. A, 106, 9595 (2002).
+%Elements                             References
+%--------                             ----------
+% H     : T.H. Dunning, Jr. J. Chem. Phys. 90, 1007 (1989).
+%Li - Ne: T.H. Dunning, Jr. J. Chem. Phys. 90, 1007 (1989) and D. E. Woon and
+%         T.H. Dunning, Jr. J. Chem. Phys. 103, 4572 (1995).
+%Al - Ar: K.A. Peterson and T.H. Dunning, Jr. J. Chem. Phys. 117, 10548 (2002)
+%Ca     : K.A. Peterson (to be published)
+%Elements                             References
+%--------                             ---------
+% H    :  T.H. Dunning, Jr. J. Chem. Phys. 90, 1007 (1989).
+% He   :  D.E. Woon and T.H. Dunning, Jr., J. Chem. Phys. 100, 2975 (1994).
+% B - F:  R.A. Kendall, T.H. Dunning, Jr. and R.J. Harrison, J. Chem. Phys. 96,
+%         6769 (1992).
+%Al - Cl: D.E. Woon and T.H. Dunning, Jr. J. Chem. Phys. 98, 1358 (1993).
+%
+%
+% BASIS SET: (9s,4p,1d) -> [3s,2p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ boron: "aug-cc-pCVDZ": [
+  (type: [am = s am = s]
+   {exp coef:0 coef:1} = {
+      4570.0000000      0.69600000000E-03 -0.13900000000E-03
+      685.90000000      0.53530000000E-02 -0.10970000000E-02
+      156.50000000      0.27134000000E-01 -0.54440000000E-02
+      44.470000000      0.10138000000     -0.21916000000E-01
+      14.480000000      0.27205500000     -0.59751000000E-01
+      5.1310000000      0.44840300000     -0.13873200000    
+      1.8980000000      0.29012300000     -0.13148200000    
+     0.33290000000      0.14322000000E-01  0.53952600000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.10430000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      3.0660000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.31050000000E-01   1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      6.0010000000      0.35481000000E-01
+      1.2410000000      0.19807200000    
+     0.33640000000      0.50523000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.95380000000E-01   1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      9.9400000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.23780000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.34300000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.90400000000E-01   1.0000000000    
+   })
+ ]
+%
+% BASIS SET: (9s,4p,1d) -> [3s,2p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ carbon: "aug-cc-pCVDZ": [
+  (type: [am = s am = s]
+   {exp coef:0 coef:1} = {
+      6665.0000000      0.69200000000E-03 -0.14600000000E-03
+      1000.0000000      0.53290000000E-02 -0.11540000000E-02
+      228.00000000      0.27077000000E-01 -0.57250000000E-02
+      64.710000000      0.10171800000     -0.23312000000E-01
+      21.060000000      0.27474000000     -0.63955000000E-01
+      7.4950000000      0.44856400000     -0.14998100000    
+      2.7970000000      0.28507400000     -0.12726200000    
+     0.52150000000      0.15204000000E-01  0.54452900000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.15960000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      4.5300000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.46900000000E-01   1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      9.4390000000      0.38109000000E-01
+      2.0020000000      0.20948000000    
+     0.54560000000      0.50855700000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.15170000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      14.557000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.40410000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.55000000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.15100000000       1.0000000000    
+   })
+ ]
+%
+% BASIS SET: (9s,4p,1d) -> [3s,2p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ nitrogen: "aug-cc-pCVDZ": [
+  (type: [am = s am = s]
+   {exp coef:0 coef:1} = {
+      9046.0000000      0.70000000000E-03 -0.15300000000E-03
+      1357.0000000      0.53890000000E-02 -0.12080000000E-02
+      309.30000000      0.27406000000E-01 -0.59920000000E-02
+      87.730000000      0.10320700000     -0.24544000000E-01
+      28.560000000      0.27872300000     -0.67459000000E-01
+      10.210000000      0.44854000000     -0.15807800000    
+      3.8380000000      0.27823800000     -0.12183100000    
+     0.74660000000      0.15440000000E-01  0.54900300000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.22480000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      6.2330000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.61240000000E-01   1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      13.550000000      0.39919000000E-01
+      2.9170000000      0.21716900000    
+     0.79730000000      0.51031900000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.21850000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      19.977000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.56110000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.81700000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.23000000000       1.0000000000    
+   })
+ ]
+%
+% BASIS SET: (9s,4p,1d) -> [3s,2p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ oxygen: "aug-cc-pCVDZ": [
+  (type: [am = s am = s]
+   {exp coef:0 coef:1} = {
+      11720.000000      0.71000000000E-03 -0.16000000000E-03
+      1759.0000000      0.54700000000E-02 -0.12630000000E-02
+      400.80000000      0.27837000000E-01 -0.62670000000E-02
+      113.70000000      0.10480000000     -0.25716000000E-01
+      37.030000000      0.28306200000     -0.70924000000E-01
+      13.270000000      0.44871900000     -0.16541100000    
+      5.0250000000      0.27095200000     -0.11695500000    
+      1.0130000000      0.15458000000E-01  0.55736800000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.30230000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      8.2150000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.78960000000E-01   1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      17.700000000      0.43018000000E-01
+      3.8540000000      0.22891300000    
+      1.0460000000      0.50872800000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.27530000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      26.056000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.68560000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+      1.1850000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.33200000000       1.0000000000    
+   })
+ ]
+%
+% BASIS SET: (9s,4p,1d) -> [3s,2p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ fluorine: "aug-cc-pCVDZ": [
+  (type: [am = s am = s]
+   {exp coef:0 coef:1} = {
+      14710.000000      0.72100000000E-03 -0.16500000000E-03
+      2207.0000000      0.55530000000E-02 -0.13080000000E-02
+      502.80000000      0.28267000000E-01 -0.64950000000E-02
+      142.60000000      0.10644400000     -0.26691000000E-01
+      46.470000000      0.28681400000     -0.73690000000E-01
+      16.700000000      0.44864100000     -0.17077600000    
+      6.3560000000      0.26476100000     -0.11232700000    
+      1.3160000000      0.15333000000E-01  0.56281400000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.38970000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      10.426000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.98630000000E-01   1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      22.670000000      0.44878000000E-01
+      4.9770000000      0.23571800000    
+      1.3470000000      0.50852100000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.34710000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      32.830000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.85020000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+      1.6400000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.46400000000       1.0000000000    
+   })
+ ]
+%
+% BASIS SET: (12s,8p,1d) -> [4s,3p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p,1d)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ aluminum: "aug-cc-pCVDZ": [
+  (type: [am = s am = s am = s]
+   {exp coef:0 coef:1 coef:2} = {
+      64150.000000      0.29025000000E-03 -0.75804800000E-04  0.17507800000E-04
+      9617.0000000      0.22506400000E-02 -0.58179100000E-03  0.13420800000E-03
+      2189.0000000      0.11645900000E-01 -0.30811300000E-02  0.71244200000E-03
+      620.50000000      0.46737700000E-01 -0.12311200000E-01  0.28433000000E-02
+      202.70000000      0.14629900000     -0.41978100000E-01  0.97684200000E-02
+      73.150000000      0.33028300000     -0.10337100000      0.24185000000E-01
+      28.550000000      0.41586100000     -0.19630800000      0.47499300000E-01
+      11.770000000      0.18925300000     -0.83000200000E-01  0.20362100000E-01
+      3.3000000000      0.11588900000E-01  0.54104000000     -0.15878800000    
+      1.1730000000     -0.12838500000E-02  0.57879600000     -0.31169400000    
+     0.17520000000      0.42588300000E-03  0.28814700000E-01  0.62014700000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.64730000000E-01   1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      4.0300000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.23100000000E-01   1.0000000000    
+   })
+  (type: [am = p am = p]
+   {exp coef:0 coef:1} = {
+      258.80000000      0.40684700000E-02 -0.74805300000E-03
+      60.890000000      0.30681500000E-01 -0.54579600000E-02
+      19.140000000      0.12914900000     -0.24537100000E-01
+      6.8810000000      0.32083100000     -0.58213800000E-01
+      2.5740000000      0.45381500000     -0.98375600000E-01
+     0.95720000000      0.27506600000     -0.26006400000E-01
+     0.20990000000      0.19080700000E-01  0.46402000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.59860000000E-01   1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      1.5290000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.15300000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.18900000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+      4.7250000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.53500000000E-01   1.0000000000    
+   })
+ ]
+%
+% BASIS SET: (12s,8p,1d) -> [4s,3p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p,1d)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ silicon: "aug-cc-pCVDZ": [
+  (type: [am = s am = s am = s]
+   {exp coef:0 coef:1 coef:2} = {
+      78860.000000      0.27044300000E-03 -0.72317700000E-04  0.18511300000E-04
+      11820.000000      0.20971700000E-02 -0.55511600000E-03  0.14223600000E-03
+      2692.0000000      0.10850600000E-01 -0.29380500000E-02  0.75218500000E-03
+      763.40000000      0.43675400000E-01 -0.11768700000E-01  0.30227900000E-02
+      249.60000000      0.13765300000     -0.40290700000E-01  0.10367700000E-01
+      90.280000000      0.31664400000     -0.10060900000      0.26256300000E-01
+      35.290000000      0.41858100000     -0.19652800000      0.52398900000E-01
+      14.510000000      0.21021200000     -0.10238200000      0.29095900000E-01
+      4.0530000000      0.14495200000E-01  0.52719000000     -0.17800300000    
+      1.4820000000     -0.20359000000E-02  0.59325100000     -0.34687400000    
+     0.25170000000      0.62418600000E-03  0.33265200000E-01  0.62302000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.92430000000E-01   1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      4.9590000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.33200000000E-01   1.0000000000    
+   })
+  (type: [am = p am = p]
+   {exp coef:0 coef:1} = {
+      315.90000000      0.39265600000E-02 -0.85830200000E-03
+      74.420000000      0.29881100000E-01 -0.63032800000E-02
+      23.480000000      0.12721200000     -0.28825500000E-01
+      8.4880000000      0.32094300000     -0.69456000000E-01
+      3.2170000000      0.45542900000     -0.11949300000    
+      1.2290000000      0.26856300000     -0.19958100000E-01
+     0.29640000000      0.18833600000E-01  0.51026800000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.87680000000E-01   1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      1.9980000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.25000000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.27500000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+      5.8060000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.82300000000E-01   1.0000000000    
+   })
+ ]
+%
+% BASIS SET: (12s,8p,1d) -> [4s,3p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p,1d)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ phosphorus: "aug-cc-pCVDZ": [
+  (type: [am = s am = s am = s]
+   {exp coef:0 coef:1 coef:2} = {
+      94840.000000      0.25550900000E-03 -0.69693900000E-04  0.19119900000E-04
+      14220.000000      0.19819300000E-02 -0.53526600000E-03  0.14722300000E-03
+      3236.0000000      0.10276000000E-01 -0.28370900000E-02  0.77791200000E-03
+      917.10000000      0.41482300000E-01 -0.11398300000E-01  0.31454600000E-02
+      299.50000000      0.13198400000     -0.39292900000E-01  0.10820000000E-01
+      108.10000000      0.30866200000     -0.99636400000E-01  0.27995700000E-01
+      42.180000000      0.42064700000     -0.19798300000      0.56397800000E-01
+      17.280000000      0.22287800000     -0.11486000000      0.35819000000E-01
+      4.8580000000      0.16403500000E-01  0.51859500000     -0.19338700000    
+      1.8180000000     -0.25425500000E-02  0.60184700000     -0.37209700000    
+     0.33720000000      0.74805000000E-03  0.36861200000E-01  0.62424600000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.12320000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      5.9770000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.41700000000E-01   1.0000000000    
+   })
+  (type: [am = p am = p]
+   {exp coef:0 coef:1} = {
+      370.50000000      0.39500500000E-02 -0.95983200000E-03
+      87.330000000      0.30249200000E-01 -0.71117700000E-02
+      27.590000000      0.12955400000     -0.32712200000E-01
+      10.000000000      0.32759400000     -0.79578400000E-01
+      3.8250000000      0.45699200000     -0.13501600000    
+      1.4940000000      0.25308600000     -0.91058500000E-02
+     0.39210000000      0.16879800000E-01  0.53780200000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.11860000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      2.5240000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.34300000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.37300000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+      7.0200000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.11300000000       1.0000000000    
+   })
+ ]
+%
+% BASIS SET: (12s,8p,1d) -> [4s,3p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p,1d)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ sulfur: "aug-cc-pCVDZ": [
+  (type: [am = s am = s am = s]
+   {exp coef:0 coef:1 coef:2} = {
+      110800.00000      0.24763500000E-03 -0.68703900000E-04  0.19907700000E-04
+      16610.000000      0.19202600000E-02 -0.52768100000E-03  0.15348300000E-03
+      3781.0000000      0.99619200000E-02 -0.27967100000E-02  0.80950300000E-03
+      1071.0000000      0.40297500000E-01 -0.11265100000E-01  0.32897400000E-02
+      349.80000000      0.12860400000     -0.38883400000E-01  0.11296700000E-01
+      126.30000000      0.30348000000     -0.99502500000E-01  0.29638500000E-01
+      49.260000000      0.42143200000     -0.19974000000      0.59985100000E-01
+      20.160000000      0.23078100000     -0.12336000000      0.41324800000E-01
+      5.7200000000      0.17897100000E-01  0.51319400000     -0.20747400000    
+      2.1820000000     -0.29751600000E-02  0.60712000000     -0.39288900000    
+     0.43270000000      0.84952200000E-03  0.39675300000E-01  0.63284000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.15700000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      7.0830000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.50700000000E-01   1.0000000000    
+   })
+  (type: [am = p am = p]
+   {exp coef:0 coef:1} = {
+      399.70000000      0.44754100000E-02 -0.11625100000E-02
+      94.190000000      0.34170800000E-01 -0.86566400000E-02
+      29.750000000      0.14425000000     -0.39088600000E-01
+      10.770000000      0.35392800000     -0.93462500000E-01
+      4.1190000000      0.45908500000     -0.14799400000    
+      1.6250000000      0.20638300000      0.30190400000E-01
+     0.47260000000      0.10214100000E-01  0.56157300000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.14070000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      3.0890000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.39900000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.47900000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+      8.3630000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.15200000000       1.0000000000    
+   })
+ ]
+%
+% BASIS SET: (12s,8p,1d) -> [4s,3p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p,1d)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ chlorine: "aug-cc-pCVDZ": [
+  (type: [am = s am = s am = s]
+   {exp coef:0 coef:1 coef:2} = {
+      127900.00000      0.24115300000E-03 -0.67892200000E-04  0.20498600000E-04
+      19170.000000      0.18709500000E-02 -0.52183600000E-03  0.15829800000E-03
+      4363.0000000      0.97082700000E-02 -0.27651300000E-02  0.83363900000E-03
+      1236.0000000      0.39315300000E-01 -0.11153700000E-01  0.33988000000E-02
+      403.60000000      0.12593200000     -0.38591900000E-01  0.11673800000E-01
+      145.70000000      0.29934100000     -0.99484800000E-01  0.30962200000E-01
+      56.810000000      0.42188600000     -0.20139200000      0.62953300000E-01
+      23.230000000      0.23720100000     -0.13031300000      0.46025700000E-01
+      6.6440000000      0.19153100000E-01  0.50944300000     -0.21931200000    
+      2.5750000000     -0.33479200000E-02  0.61072500000     -0.40877300000    
+     0.53710000000      0.92988300000E-03  0.42154900000E-01  0.63846500000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.19380000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      8.2730000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.60800000000E-01   1.0000000000    
+   })
+  (type: [am = p am = p]
+   {exp coef:0 coef:1} = {
+      417.60000000      0.52598200000E-02 -0.14357000000E-02
+      98.330000000      0.39833200000E-01 -0.10779600000E-01
+      31.040000000      0.16465500000     -0.47007500000E-01
+      11.190000000      0.38732200000     -0.11103000000    
+      4.2490000000      0.45707200000     -0.15327500000    
+      1.6240000000      0.15163600000      0.89460900000E-01
+     0.53220000000      0.18161500000E-02  0.57944400000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.16200000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      3.6970000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.46600000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.60000000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+      9.8440000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.19600000000       1.0000000000    
+   })
+ ]
+%
+% BASIS SET: (12s,8p,1d) -> [4s,3p,1d]
+% AUGMENTING FUNCTIONS: Tight (1s,1p,1d)
+% AUGMENTING FUNCTIONS: Diffuse (1s,1p,1d)
+ argon: "aug-cc-pCVDZ": [
+  (type: [am = s am = s am = s]
+   {exp coef:0 coef:1 coef:2} = {
+      145700.00000      0.23670000000E-03 -0.67491000000E-04  0.21045700000E-04
+      21840.000000      0.18352300000E-02 -0.51852200000E-03  0.16256500000E-03
+      4972.0000000      0.95286000000E-02 -0.27482500000E-02  0.85546300000E-03
+      1408.0000000      0.38628300000E-01 -0.11100700000E-01  0.34974500000E-02
+      459.70000000      0.12408100000     -0.38482000000E-01  0.12015600000E-01
+      165.90000000      0.29647100000     -0.99759900000E-01  0.32136800000E-01
+      64.690000000      0.42206800000     -0.20308800000      0.65527900000E-01
+      26.440000000      0.24171100000     -0.13560800000      0.49937000000E-01
+      7.6280000000      0.20050900000E-01  0.50719500000     -0.22976900000    
+      2.9960000000     -0.36100000000E-02  0.61289800000     -0.42100600000    
+     0.65040000000      0.97560700000E-03  0.44296800000E-01  0.64233100000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.23370000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+      9.5480000000       1.0000000000    
+   })
+  (type: [am = s]
+   {exp coef:0} = {
+     0.70900000000E-01   1.0000000000    
+   })
+  (type: [am = p am = p]
+   {exp coef:0 coef:1} = {
+      453.70000000      0.57055500000E-02 -0.16065500000E-02
+      106.80000000      0.43046000000E-01 -0.12171400000E-01
+      33.730000000      0.17659100000     -0.52078900000E-01
+      12.130000000      0.40686300000     -0.12373700000    
+      4.5940000000      0.45254900000     -0.15161900000    
+      1.6780000000      0.12280100000      0.14242500000    
+     0.59090000000     -0.44599600000E-02  0.58450100000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.18520000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+      4.3610000000       1.0000000000    
+   })
+  (type: [am = p]
+   {exp coef:0} = {
+     0.53300000000E-01   1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.73800000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+      11.459000000       1.0000000000    
+   })
+  (type: [(am = d puream = 1)]
+   {exp coef:0} = {
+     0.24000000000       1.0000000000    
+   })
+ ]
+)