Index: doc/userguide/userguide.xml
===================================================================
--- doc/userguide/userguide.xml	(revision 596cfa877bf5ca9866344e3bf0623e4704009c17)
+++ doc/userguide/userguide.xml	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -1247,4 +1247,16 @@
             (without suffix) as its name.</para>
           </note>
+        </section>
+
+        <section xml:id='molecule.remove-molecule'>
+          <title xml:id='molecule.remove-molecule.title'>Remove molecules
+	  </title>
+
+          <para>This removes one or multiple selected molecules.</para>
+
+          <programlisting>... -remove-molecule</programlisting>
+
+          <para>This essentially just removes all of the molecules' atoms
+          which in turn also causes the removal of the molecule.</para>
         </section>
 
Index: src/Actions/GlobalListOfActions.hpp
===================================================================
--- src/Actions/GlobalListOfActions.hpp	(revision 596cfa877bf5ca9866344e3bf0623e4704009c17)
+++ src/Actions/GlobalListOfActions.hpp	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -76,4 +76,5 @@
   (MoleculeLinearInterpolationofTrajectories) \
   (MoleculeLoad) \
+  (MoleculeRemove) \
   (MoleculeRotateAroundSelfByAngle) \
   (MoleculeRotateToPrincipalAxisSystem) \
Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision 596cfa877bf5ca9866344e3bf0623e4704009c17)
+++ src/Actions/Makefile.am	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -297,4 +297,5 @@
   Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp \
   Actions/MoleculeAction/LoadAction.cpp \
+  Actions/MoleculeAction/RemoveAction.cpp \
   Actions/MoleculeAction/RotateAroundSelfByAngleAction.cpp \
   Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp \
@@ -313,4 +314,5 @@
   Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp \
   Actions/MoleculeAction/LoadAction.hpp \
+  Actions/MoleculeAction/RemoveAction.hpp \
   Actions/MoleculeAction/RotateAroundSelfByAngleAction.hpp \
   Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.hpp \
@@ -329,4 +331,5 @@
   Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.def \
   Actions/MoleculeAction/LoadAction.def \
+  Actions/MoleculeAction/RemoveAction.def \
   Actions/MoleculeAction/RotateAroundSelfByAngleAction.def \
   Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.def \
Index: src/Actions/MoleculeAction/RemoveAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RemoveAction.cpp	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
+++ src/Actions/MoleculeAction/RemoveAction.cpp	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -0,0 +1,122 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2014 Frederik Heber. All rights reserved.
+ * 
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * RemoveAction.cpp
+ *
+ *  Created on: Dez 8, 2014
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "CodePatterns/Log.hpp"
+
+#include <map>
+#include <vector>
+
+#include "Actions/UndoRedoHelpers.hpp"
+#include "Atom/AtomicInfo.hpp"
+#include "molecule.hpp"
+#include "World.hpp"
+
+#include "RemoveAction.hpp"
+
+using namespace MoleCuilder;
+
+// and construct the stuff
+#include "RemoveAction.def"
+#include "Action_impl_pre.hpp"
+/** =========== define the function ====================== */
+ActionState::ptr MoleculeRemoveAction::performCall() {
+
+  std::vector<molecule *> molecules = World::getInstance().getSelectedMolecules();
+  // check selected molecules
+  if (molecules.empty()) {
+    STATUS("No molecules selected.");
+    return Action::failure;
+  }
+
+  STATUS("Removing "+toString(molecules.size())+" molecules.");
+  // create undo state
+  molecules_atoms_t MoleculeWalkers;
+  for (std::vector<molecule *>::const_iterator iter = molecules.begin();
+      iter != molecules.end(); ++iter) {
+    std::vector<AtomicInfo> Walkers;
+    for (molecule::const_iterator atomiter = (*iter)->begin();
+        atomiter != (*iter)->end(); ++atomiter) {
+      Walkers.push_back(AtomicInfo(**atomiter));
+    }
+    MoleculeWalkers.insert( std::make_pair( (*iter)->getId(), Walkers ) );
+  }
+  MoleculeRemoveState *UndoState = new MoleculeRemoveState(MoleculeWalkers, params);
+
+  // remove all selected atoms
+  for (std::vector<molecule *>::iterator iter = molecules.begin();
+      iter != molecules.end(); ++iter)
+    removeAtomsinMolecule(*iter);
+  molecules.clear();
+
+  return ActionState::ptr(UndoState);
+}
+
+ActionState::ptr MoleculeRemoveAction::performUndo(ActionState::ptr _state) {
+  MoleculeRemoveState *state = assert_cast<MoleculeRemoveState*>(_state.get());
+
+  // add all removed atoms again
+  if (AddMoleculesFromAtomicInfo(state->MoleculeWalkers))
+    return ActionState::ptr(_state);
+  else {
+    STATUS("Failed to re-add removed atoms in their molecules.");
+    return Action::failure;
+  }
+
+  return ActionState::ptr(_state);
+}
+
+ActionState::ptr MoleculeRemoveAction::performRedo(ActionState::ptr _state){
+  MoleculeRemoveState *state = assert_cast<MoleculeRemoveState*>(_state.get());
+
+  // simply, remove molecules again, we have all the info
+  for (molecules_atoms_t::const_iterator iter = state->MoleculeWalkers.begin();
+      iter != state->MoleculeWalkers.end(); ++iter) {
+    molecule * mol = World::getInstance().getMolecule(MoleculeById(iter->first));
+    if (mol != NULL)
+      removeAtomsinMolecule(mol);
+  }
+
+  return ActionState::ptr(_state);
+}
+
+bool MoleculeRemoveAction::canUndo() {
+  return true;
+}
+
+bool MoleculeRemoveAction::shouldUndo() {
+  return true;
+}
+/** =========== end of function ====================== */
Index: src/Actions/MoleculeAction/RemoveAction.def
===================================================================
--- src/Actions/MoleculeAction/RemoveAction.def	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
+++ src/Actions/MoleculeAction/RemoveAction.def	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -0,0 +1,39 @@
+/*
+ * RemoveAction.def
+ *
+ *  Created on: Dez 08, 2014
+ *      Author: heber
+ */
+
+// all includes and forward declarations necessary for non-integral types below
+#include <map>
+#include <vector>
+
+#include "Atom/AtomicInfo.hpp"
+
+typedef std::map< moleculeId_t, std::vector<AtomicInfo> > molecules_atoms_t;
+
+// i.e. there is an integer with variable name Z that can be found in
+// ValueStorage by the token "Z" -> first column: int, Z, "Z"
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
+#undef paramtypes
+#undef paramtokens
+#undef paramdescriptions
+#undef paramdefaults
+#undef paramreferences
+#undef paramvalids
+
+#define statetypes (molecules_atoms_t)
+#define statereferences (MoleculeWalkers)
+
+// some defines for all the names, you may use ACTION, STATE and PARAMS
+#define CATEGORY Molecule
+#define MENUNAME "molecule"
+#define MENUPOSITION 1
+#define ACTIONNAME Remove
+#define TOKEN "remove-molecule"
+
+
+// finally the information stored in the ActionTrait specialization
+#define DESCRIPTION "remove selected molecules from the World including their atoms"
+#undef SHORTFORM
Index: src/Actions/MoleculeAction/RemoveAction.hpp
===================================================================
--- src/Actions/MoleculeAction/RemoveAction.hpp	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
+++ src/Actions/MoleculeAction/RemoveAction.hpp	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -0,0 +1,22 @@
+/*
+ * RemoveAction.hpp
+ *
+ *  Created on: Dez 8, 2014
+ *      Author: heber
+ */
+
+#ifndef MOLECULE_REMOVEACTION_HPP_
+#define MOLECULE_REMOVEACTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include "Actions/Action.hpp"
+
+#include "RemoveAction.def"
+#include "Action_impl_header.hpp"
+
+#endif /* MOLECULE_REMOVEACTION_HPP_ */
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 596cfa877bf5ca9866344e3bf0623e4704009c17)
+++ tests/regression/Makefile.am	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -98,4 +98,5 @@
 	$(srcdir)/Molecules/ForceAnnealing/testsuite-molecules-force-annealing.at \
 	$(srcdir)/Molecules/LinearInterpolationofTrajectories/testsuite-molecules-linear-interpolation-of-trajectories.at \
+	$(srcdir)/Molecules/Remove/testsuite-molecules-remove.at \
 	$(srcdir)/Molecules/RotateAroundOrigin/testsuite-molecules-rotate-around-origin.at \
 	$(srcdir)/Molecules/RotateAroundSelf/testsuite-molecules-rotate-around-self.at \
Index: tests/regression/Molecules/Remove/post/id0_2_missing.pdb
===================================================================
--- tests/regression/Molecules/Remove/post/id0_2_missing.pdb	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
+++ tests/regression/Molecules/Remove/post/id0_2_missing.pdb	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -0,0 +1,38 @@
+REMARK created by molecuilder on Fri Dec 12 18:59:48 2014, time step 0
+ATOM      1 O01 0non 01          1.590   2.000   6.000  0.00  0.00           O 0
+ATOM      2 H01 0non 01          2.205   2.000   6.774  0.00  0.00           H 0
+ATOM      3 H02 0non 01          2.205   2.000   5.226  0.00  0.00           H 0
+ATOM      4 O01 0non 02          1.590   6.000   6.000  0.00  0.00           O 0
+ATOM      5 H01 0non 02          2.205   6.000   6.774  0.00  0.00           H 0
+ATOM      6 H02 0non 02          2.205   6.000   5.226  0.00  0.00           H 0
+ATOM      7 O01 0non 03          5.590   2.000   2.000  0.00  0.00           O 0
+ATOM      8 H01 0non 03          6.205   2.000   2.774  0.00  0.00           H 0
+ATOM      9 H02 0non 03          6.205   2.000   1.226  0.00  0.00           H 0
+ATOM     10 O01 0non 04          5.590   2.000   6.000  0.00  0.00           O 0
+ATOM     11 H01 0non 04          6.205   2.000   6.774  0.00  0.00           H 0
+ATOM     12 H02 0non 04          6.205   2.000   5.226  0.00  0.00           H 0
+ATOM     13 O01 0non 05          5.590   6.000   2.000  0.00  0.00           O 0
+ATOM     14 H01 0non 05          6.205   6.000   2.774  0.00  0.00           H 0
+ATOM     15 H02 0non 05          6.205   6.000   1.226  0.00  0.00           H 0
+ATOM     16 O01 0non 06          5.590   6.000   6.000  0.00  0.00           O 0
+ATOM     17 H01 0non 06          6.205   6.000   6.774  0.00  0.00           H 0
+ATOM     18 H02 0non 06          6.205   6.000   5.226  0.00  0.00           H 0
+CONECT    1    2    3                                                           
+CONECT    2    1                                                                
+CONECT    3    1                                                                
+CONECT    4    5    6                                                           
+CONECT    5    4                                                                
+CONECT    6    4                                                                
+CONECT    7    8    9                                                           
+CONECT    8    7                                                                
+CONECT    9    7                                                                
+CONECT   10   11   12                                                           
+CONECT   11   10                                                                
+CONECT   12   10                                                                
+CONECT   13   14   15                                                           
+CONECT   14   13                                                                
+CONECT   15   13                                                                
+CONECT   16   17   18                                                           
+CONECT   17   16                                                                
+CONECT   18   16                                                                
+END
Index: tests/regression/Molecules/Remove/post/water_box.pdb
===================================================================
--- tests/regression/Molecules/Remove/post/water_box.pdb	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
+++ tests/regression/Molecules/Remove/post/water_box.pdb	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -0,0 +1,44 @@
+REMARK created by molecuilder on Fri Dec 12 19:01:22 2014, time step 0
+ATOM      1 O01 0non 01          1.590   2.000   2.000  0.00  0.00           O 0
+ATOM      2 H01 0non 01          2.205   2.000   2.774  0.00  0.00           H 0
+ATOM      3 H02 0non 01          2.205   2.000   1.226  0.00  0.00           H 0
+ATOM      4 O01 0non 02          1.590   2.000   6.000  0.00  0.00           O 0
+ATOM      5 H01 0non 02          2.205   2.000   6.774  0.00  0.00           H 0
+ATOM      6 H02 0non 02          2.205   2.000   5.226  0.00  0.00           H 0
+ATOM      7 O01 0non 03          1.590   6.000   2.000  0.00  0.00           O 0
+ATOM      8 H01 0non 03          2.205   6.000   2.774  0.00  0.00           H 0
+ATOM      9 H02 0non 03          2.205   6.000   1.226  0.00  0.00           H 0
+ATOM     10 O01 0non 04          1.590   6.000   6.000  0.00  0.00           O 0
+ATOM     11 H01 0non 04          2.205   6.000   6.774  0.00  0.00           H 0
+ATOM     12 H02 0non 04          2.205   6.000   5.226  0.00  0.00           H 0
+ATOM     13 O01 0non 05          5.590   2.000   2.000  0.00  0.00           O 0
+ATOM     14 H01 0non 05          6.205   2.000   2.774  0.00  0.00           H 0
+ATOM     15 H02 0non 05          6.205   2.000   1.226  0.00  0.00           H 0
+ATOM     16 O01 0non 06          5.590   2.000   6.000  0.00  0.00           O 0
+ATOM     17 H01 0non 06          6.205   2.000   6.774  0.00  0.00           H 0
+ATOM     18 H02 0non 06          6.205   2.000   5.226  0.00  0.00           H 0
+ATOM     19 O01 0non 07          5.590   6.000   2.000  0.00  0.00           O 0
+ATOM     20 H01 0non 07          6.205   6.000   2.774  0.00  0.00           H 0
+ATOM     21 H02 0non 07          6.205   6.000   1.226  0.00  0.00           H 0
+ATOM     22 O01 0non 08          5.590   6.000   6.000  0.00  0.00           O 0
+ATOM     23 H01 0non 08          6.205   6.000   6.774  0.00  0.00           H 0
+ATOM     24 H02 0non 08          6.205   6.000   5.226  0.00  0.00           H 0
+CONECT    4    5    6                                                           
+CONECT    5    4                                                                
+CONECT    6    4                                                                
+CONECT   10   11   12                                                           
+CONECT   11   10                                                                
+CONECT   12   10                                                                
+CONECT   13   14   15                                                           
+CONECT   14   13                                                                
+CONECT   15   13                                                                
+CONECT   16   17   18                                                           
+CONECT   17   16                                                                
+CONECT   18   16                                                                
+CONECT   19   20   21                                                           
+CONECT   20   19                                                                
+CONECT   21   19                                                                
+CONECT   22   23   24                                                           
+CONECT   23   22                                                                
+CONECT   24   22                                                                
+END
Index: tests/regression/Molecules/Remove/pre/water_box.pdb
===================================================================
--- tests/regression/Molecules/Remove/pre/water_box.pdb	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
+++ tests/regression/Molecules/Remove/pre/water_box.pdb	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -0,0 +1,50 @@
+REMARK created by molecuilder on Mon Dec  8 20:36:58 2014, time step 0
+ATOM      1 O01 0non 01          1.590   2.000   2.000  0.00  0.00           O 0
+ATOM      2 H01 0non 01          2.205   2.000   2.774  0.00  0.00           H 0
+ATOM      3 H02 0non 01          2.205   2.000   1.226  0.00  0.00           H 0
+ATOM      4 O01 0non 02          1.590   2.000   6.000  0.00  0.00           O 0
+ATOM      5 H01 0non 02          2.205   2.000   6.774  0.00  0.00           H 0
+ATOM      6 H02 0non 02          2.205   2.000   5.226  0.00  0.00           H 0
+ATOM      7 O01 0non 03          1.590   6.000   2.000  0.00  0.00           O 0
+ATOM      8 H01 0non 03          2.205   6.000   2.774  0.00  0.00           H 0
+ATOM      9 H02 0non 03          2.205   6.000   1.226  0.00  0.00           H 0
+ATOM     10 O01 0non 04          1.590   6.000   6.000  0.00  0.00           O 0
+ATOM     11 H01 0non 04          2.205   6.000   6.774  0.00  0.00           H 0
+ATOM     12 H02 0non 04          2.205   6.000   5.226  0.00  0.00           H 0
+ATOM     13 O01 0non 05          5.590   2.000   2.000  0.00  0.00           O 0
+ATOM     14 H01 0non 05          6.205   2.000   2.774  0.00  0.00           H 0
+ATOM     15 H02 0non 05          6.205   2.000   1.226  0.00  0.00           H 0
+ATOM     16 O01 0non 06          5.590   2.000   6.000  0.00  0.00           O 0
+ATOM     17 H01 0non 06          6.205   2.000   6.774  0.00  0.00           H 0
+ATOM     18 H02 0non 06          6.205   2.000   5.226  0.00  0.00           H 0
+ATOM     19 O01 0non 07          5.590   6.000   2.000  0.00  0.00           O 0
+ATOM     20 H01 0non 07          6.205   6.000   2.774  0.00  0.00           H 0
+ATOM     21 H02 0non 07          6.205   6.000   1.226  0.00  0.00           H 0
+ATOM     22 O01 0non 08          5.590   6.000   6.000  0.00  0.00           O 0
+ATOM     23 H01 0non 08          6.205   6.000   6.774  0.00  0.00           H 0
+ATOM     24 H02 0non 08          6.205   6.000   5.226  0.00  0.00           H 0
+CONECT    1    3    2                                                           
+CONECT    2    1                                                                
+CONECT    3    1                                                                
+CONECT    4    6    5                                                           
+CONECT    5    4                                                                
+CONECT    6    4                                                                
+CONECT    7    9    8                                                           
+CONECT    8    7                                                                
+CONECT    9    7                                                                
+CONECT   10   12   11                                                           
+CONECT   11   10                                                                
+CONECT   12   10                                                                
+CONECT   13   15   14                                                           
+CONECT   14   13                                                                
+CONECT   15   13                                                                
+CONECT   16   18   17                                                           
+CONECT   17   16                                                                
+CONECT   18   16                                                                
+CONECT   19   21   20                                                           
+CONECT   20   19                                                                
+CONECT   21   19                                                                
+CONECT   22   24   23                                                           
+CONECT   23   22                                                                
+CONECT   24   22                                                                
+END
Index: tests/regression/Molecules/Remove/testsuite-molecules-remove.at
===================================================================
--- tests/regression/Molecules/Remove/testsuite-molecules-remove.at	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
+++ tests/regression/Molecules/Remove/testsuite-molecules-remove.at	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -0,0 +1,53 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2014 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### remove molecule
+
+AT_SETUP([Molecules - Molecule removal])
+AT_KEYWORDS([molecules remove-molecule])
+
+file=water_box.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Remove/pre/water_box.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 2 --remove-molecule], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Remove/post/id0_2_missing.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - Molecule removal with Undo])
+AT_KEYWORDS([molecules remove-molecule undo])
+
+file=water_box.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Remove/pre/water_box.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 2 --remove-molecule --undo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Remove/post/water_box.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Molecules - Molecule removal with Redo])
+AT_KEYWORDS([molecules remove-molecule redo])
+
+file=water_box.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Molecules/Remove/pre/water_box.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 2 --remove-molecule --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Molecules/Remove/post/id0_2_missing.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Molecules/testsuite-molecules.at
===================================================================
--- tests/regression/Molecules/testsuite-molecules.at	(revision 596cfa877bf5ca9866344e3bf0623e4704009c17)
+++ tests/regression/Molecules/testsuite-molecules.at	(revision 867473fc81f5f56ef4a2749de5a2256f208084b8)
@@ -54,4 +54,7 @@
 m4_include([Molecules/Translation-Periodic/testsuite-molecules-translation-periodic.at])
 
+# remove whole molecules
+m4_include([Molecules/Remove/testsuite-molecules-remove.at])
+
 # Rotate to Principal Axis System
 m4_include([Molecules/RotateToPrincipalAxisSystem/testsuite-molecules-rotate-to-principal-axis-system.at])