Index: tests/Fragmentations/testsuite.at
===================================================================
--- tests/Fragmentations/testsuite.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/testsuite.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -11,110 +11,116 @@
 
 # fragmentation of 1_2-dimethoxyethane
-m4_include(1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane-order1.at)
-m4_include(1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane-order2.at)
-m4_include(1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane-order3.at)
-m4_include(1_2-dimethoxyethane/testsuite-1_2-dimethoxyethane-order4.at)
+m4_include(Fragmenting/1_2-dimethoxyethane/testsuite-fragmenting-1_2-dimethoxyethane-order1.at)
+m4_include(Fragmenting/1_2-dimethoxyethane/testsuite-fragmenting-1_2-dimethoxyethane-order2.at)
+m4_include(Fragmenting/1_2-dimethoxyethane/testsuite-fragmenting-1_2-dimethoxyethane-order3.at)
+m4_include(Fragmenting/1_2-dimethoxyethane/testsuite-fragmenting-1_2-dimethoxyethane-order4.at)
 
 # fragmentation of 1_2-dimethylbenzene
-m4_include(1_2-dimethylbenzene/testsuite-1_2-dimethylbenzene-order1.at)
-m4_include(1_2-dimethylbenzene/testsuite-1_2-dimethylbenzene-order2.at)
-m4_include(1_2-dimethylbenzene/testsuite-1_2-dimethylbenzene-order3.at)
-m4_include(1_2-dimethylbenzene/testsuite-1_2-dimethylbenzene-order4.at)
+m4_include(Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order1.at)
+m4_include(Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order2.at)
+m4_include(Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order3.at)
+m4_include(Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order4.at)
 
 # fragmentation of 2-methylcyclohexanone
-m4_include(2-methylcyclohexanone/testsuite-2-methylcyclohexanone-order1.at)
-m4_include(2-methylcyclohexanone/testsuite-2-methylcyclohexanone-order2.at)
-m4_include(2-methylcyclohexanone/testsuite-2-methylcyclohexanone-order3.at)
-m4_include(2-methylcyclohexanone/testsuite-2-methylcyclohexanone-order4.at)
+m4_include(Fragmenting/2-methylcyclohexanone/testsuite-fragmenting-2-methylcyclohexanone-order1.at)
+m4_include(Fragmenting/2-methylcyclohexanone/testsuite-fragmenting-2-methylcyclohexanone-order2.at)
+m4_include(Fragmenting/2-methylcyclohexanone/testsuite-fragmenting-2-methylcyclohexanone-order3.at)
+m4_include(Fragmenting/2-methylcyclohexanone/testsuite-fragmenting-2-methylcyclohexanone-order4.at)
 
 # fragmentation of benzene
-m4_include(benzene/testsuite-benzene-order1.at)
-m4_include(benzene/testsuite-benzene-order2.at)
-m4_include(benzene/testsuite-benzene-order3.at)
-m4_include(benzene/testsuite-benzene-order4.at)
-m4_include(benzene/testsuite-benzene-order5.at)
-m4_include(benzene/testsuite-benzene-order6.at)
+m4_include(Fragmenting/benzene/testsuite-fragmenting-benzene-order1.at)
+m4_include(Fragmenting/benzene/testsuite-fragmenting-benzene-order2.at)
+m4_include(Fragmenting/benzene/testsuite-fragmenting-benzene-order3.at)
+m4_include(Fragmenting/benzene/testsuite-fragmenting-benzene-order4.at)
+m4_include(Fragmenting/benzene/testsuite-fragmenting-benzene-order5.at)
+m4_include(Fragmenting/benzene/testsuite-fragmenting-benzene-order6.at)
 
 # fragmentation of cholesterol
-m4_include(cholesterol/testsuite-cholesterol-order1.at)
-m4_include(cholesterol/testsuite-cholesterol-order2.at)
-m4_include(cholesterol/testsuite-cholesterol-order3.at)
-m4_include(cholesterol/testsuite-cholesterol-order4.at)
+m4_include(Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order1.at)
+m4_include(Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order2.at)
+m4_include(Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order3.at)
+m4_include(Fragmenting/cholesterol/testsuite-fragmenting-cholesterol-order4.at)
 
 # fragmentation of cycloheptane
-m4_include(cycloheptane/testsuite-cycloheptane-order1.at)
-m4_include(cycloheptane/testsuite-cycloheptane-order2.at)
-m4_include(cycloheptane/testsuite-cycloheptane-order3.at)
-m4_include(cycloheptane/testsuite-cycloheptane-order4.at)
-m4_include(cycloheptane/testsuite-cycloheptane-order5.at)
-m4_include(cycloheptane/testsuite-cycloheptane-order6.at)
+m4_include(Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order1.at)
+m4_include(Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order2.at)
+m4_include(Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order3.at)
+m4_include(Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order4.at)
+m4_include(Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order5.at)
+m4_include(Fragmenting/cycloheptane/testsuite-fragmenting-cycloheptane-order6.at)
 
 # fragmentation of dimethyl_bromomalonate
-m4_include(dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order1.at)
-m4_include(dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order2.at)
-m4_include(dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order3.at)
-m4_include(dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order4.at)
-m4_include(dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order5.at)
-m4_include(dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate-order6.at)
+m4_include(Fragmenting/dimethyl_bromomalonate/testsuite-fragmenting-dimethyl_bromomalonate-order1.at)
+m4_include(Fragmenting/dimethyl_bromomalonate/testsuite-fragmenting-dimethyl_bromomalonate-order2.at)
+m4_include(Fragmenting/dimethyl_bromomalonate/testsuite-fragmenting-dimethyl_bromomalonate-order3.at)
+m4_include(Fragmenting/dimethyl_bromomalonate/testsuite-fragmenting-dimethyl_bromomalonate-order4.at)
+m4_include(Fragmenting/dimethyl_bromomalonate/testsuite-fragmenting-dimethyl_bromomalonate-order5.at)
+m4_include(Fragmenting/dimethyl_bromomalonate/testsuite-fragmenting-dimethyl_bromomalonate-order6.at)
 
 # fragmentation of glucose
-m4_include(glucose/testsuite-glucose-order1.at)
-m4_include(glucose/testsuite-glucose-order2.at)
-m4_include(glucose/testsuite-glucose-order3.at)
-m4_include(glucose/testsuite-glucose-order4.at)
-m4_include(glucose/testsuite-glucose-order5.at)
-m4_include(glucose/testsuite-glucose-order6.at)
+m4_include(Fragmenting/glucose/testsuite-fragmenting-glucose-order1.at)
+m4_include(Fragmenting/glucose/testsuite-fragmenting-glucose-order2.at)
+m4_include(Fragmenting/glucose/testsuite-fragmenting-glucose-order3.at)
+m4_include(Fragmenting/glucose/testsuite-fragmenting-glucose-order4.at)
+m4_include(Fragmenting/glucose/testsuite-fragmenting-glucose-order5.at)
+m4_include(Fragmenting/glucose/testsuite-fragmenting-glucose-order6.at)
 
 # fragmentation of heptan
-m4_include(heptan/testsuite-heptan-order1.at)
-m4_include(heptan/testsuite-heptan-order2.at)
-m4_include(heptan/testsuite-heptan-order3.at)
-m4_include(heptan/testsuite-heptan-order4.at)
+m4_include(Fragmenting/heptan/testsuite-fragmenting-heptan-order1.at)
+m4_include(Fragmenting/heptan/testsuite-fragmenting-heptan-order2.at)
+m4_include(Fragmenting/heptan/testsuite-fragmenting-heptan-order3.at)
+m4_include(Fragmenting/heptan/testsuite-fragmenting-heptan-order4.at)
 
 # fragmentation of isoleucine
-m4_include(isoleucine/testsuite-isoleucine-order1.at)
-m4_include(isoleucine/testsuite-isoleucine-order2.at)
-m4_include(isoleucine/testsuite-isoleucine-order3.at)
-m4_include(isoleucine/testsuite-isoleucine-order4.at)
-m4_include(isoleucine/testsuite-isoleucine-order5.at)
-m4_include(isoleucine/testsuite-isoleucine-order6.at)
+m4_include(Fragmenting/isoleucine/testsuite-fragmenting-isoleucine-order1.at)
+m4_include(Fragmenting/isoleucine/testsuite-fragmenting-isoleucine-order2.at)
+m4_include(Fragmenting/isoleucine/testsuite-fragmenting-isoleucine-order3.at)
+m4_include(Fragmenting/isoleucine/testsuite-fragmenting-isoleucine-order4.at)
+m4_include(Fragmenting/isoleucine/testsuite-fragmenting-isoleucine-order5.at)
+m4_include(Fragmenting/isoleucine/testsuite-fragmenting-isoleucine-order6.at)
 
 # fragmentation of neohexane
-m4_include(neohexane/testsuite-neohexane-order1.at)
-m4_include(neohexane/testsuite-neohexane-order2.at)
-m4_include(neohexane/testsuite-neohexane-order3.at)
-m4_include(neohexane/testsuite-neohexane-order4.at)
-m4_include(neohexane/testsuite-neohexane-order5.at)
-m4_include(neohexane/testsuite-neohexane-order6.at)
+m4_include(Fragmenting/neohexane/testsuite-fragmenting-neohexane-order1.at)
+m4_include(Fragmenting/neohexane/testsuite-fragmenting-neohexane-order2.at)
+m4_include(Fragmenting/neohexane/testsuite-fragmenting-neohexane-order3.at)
+m4_include(Fragmenting/neohexane/testsuite-fragmenting-neohexane-order4.at)
+m4_include(Fragmenting/neohexane/testsuite-fragmenting-neohexane-order5.at)
+m4_include(Fragmenting/neohexane/testsuite-fragmenting-neohexane-order6.at)
 
 # fragmentation of N_N-dimethylacetamide
-m4_include(N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide-order1.at)
-m4_include(N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide-order2.at)
-m4_include(N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide-order3.at)
-m4_include(N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide-order4.at)
-m4_include(N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide-order5.at)
-m4_include(N_N-dimethylacetamide/testsuite-N_N-dimethylacetamide-order6.at)
+m4_include(Fragmenting/N_N-dimethylacetamide/testsuite-fragmenting-N_N-dimethylacetamide-order1.at)
+m4_include(Fragmenting/N_N-dimethylacetamide/testsuite-fragmenting-N_N-dimethylacetamide-order2.at)
+m4_include(Fragmenting/N_N-dimethylacetamide/testsuite-fragmenting-N_N-dimethylacetamide-order3.at)
+m4_include(Fragmenting/N_N-dimethylacetamide/testsuite-fragmenting-N_N-dimethylacetamide-order4.at)
+m4_include(Fragmenting/N_N-dimethylacetamide/testsuite-fragmenting-N_N-dimethylacetamide-order5.at)
+m4_include(Fragmenting/N_N-dimethylacetamide/testsuite-fragmenting-N_N-dimethylacetamide-order6.at)
 
 # fragmentation of proline
-m4_include(proline/testsuite-proline-order1.at)
-m4_include(proline/testsuite-proline-order2.at)
-m4_include(proline/testsuite-proline-order3.at)
-m4_include(proline/testsuite-proline-order4.at)
-m4_include(proline/testsuite-proline-order5.at)
-m4_include(proline/testsuite-proline-order6.at)
+m4_include(Fragmenting/proline/testsuite-fragmenting-proline-order1.at)
+m4_include(Fragmenting/proline/testsuite-fragmenting-proline-order2.at)
+m4_include(Fragmenting/proline/testsuite-fragmenting-proline-order3.at)
+m4_include(Fragmenting/proline/testsuite-fragmenting-proline-order4.at)
+m4_include(Fragmenting/proline/testsuite-fragmenting-proline-order5.at)
+m4_include(Fragmenting/proline/testsuite-fragmenting-proline-order6.at)
 
 # fragmentation of putrescine 
-m4_include(putrescine/testsuite-putrescine-order1.at)
-m4_include(putrescine/testsuite-putrescine-order2.at)
-m4_include(putrescine/testsuite-putrescine-order3.at)
-m4_include(putrescine/testsuite-putrescine-order4.at)
-m4_include(putrescine/testsuite-putrescine-order5.at)
-m4_include(putrescine/testsuite-putrescine-order6.at)
+m4_include(Fragmenting/putrescine/testsuite-fragmenting-putrescine-order1.at)
+m4_include(Fragmenting/putrescine/testsuite-fragmenting-putrescine-order2.at)
+m4_include(Fragmenting/putrescine/testsuite-fragmenting-putrescine-order3.at)
+m4_include(Fragmenting/putrescine/testsuite-fragmenting-putrescine-order4.at)
+m4_include(Fragmenting/putrescine/testsuite-fragmenting-putrescine-order5.at)
+m4_include(Fragmenting/putrescine/testsuite-fragmenting-putrescine-order6.at)
 
 # fragmentation of tartaric_acid
-m4_include(tartaric_acid/testsuite-tartaric_acid-order1.at)
-m4_include(tartaric_acid/testsuite-tartaric_acid-order2.at)
-m4_include(tartaric_acid/testsuite-tartaric_acid-order3.at)
-m4_include(tartaric_acid/testsuite-tartaric_acid-order4.at)
-m4_include(tartaric_acid/testsuite-tartaric_acid-order5.at)
-m4_include(tartaric_acid/testsuite-tartaric_acid-order6.at)
+m4_include(Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order1.at)
+m4_include(Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order2.at)
+m4_include(Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order3.at)
+m4_include(Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order4.at)
+m4_include(Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order5.at)
+m4_include(Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order6.at)
+
+# Joining of heptan
+m4_include(Joining/heptan/testsuite-joining-heptan.at)
+
+# Analyzing of heptan
+m4_include(Analyzing/heptan/testsuite-analyzing-heptan.at)