Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision 44fce5cb3fdeb1556c1c02a020dfa99136e835d7)
+++ src/Actions/Makefile.am	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
@@ -128,8 +128,8 @@
 
 PARSERACTIONSOURCE = \
-  ParserAction/SetGaussianBasisAction.cpp \
+  ParserAction/SetMpqcParametersAction.cpp \
   ParserAction/SetOutputFormatsAction.cpp
 PARSERACTIONHEADER = \
-  ParserAction/SetGaussianBasisAction.hpp \
+  ParserAction/SetMpqcParametersAction.hpp \
   ParserAction/SetOutputFormatsAction.hpp               
 
Index: src/Actions/ParserAction/SetGaussianBasisAction.cpp
===================================================================
--- src/Actions/ParserAction/SetGaussianBasisAction.cpp	(revision 44fce5cb3fdeb1556c1c02a020dfa99136e835d7)
+++ 	(revision )
@@ -1,75 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * SetGaussianBasisAction.cpp
- *
- *  Created on: May 8, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "config.hpp"
-#include "CodePatterns/Log.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "World.hpp"
-
-#include <iostream>
-#include <string>
-
-using namespace std;
-
-#include "SetGaussianBasisAction.hpp"
-
-// and construct the stuff
-#include "SetGaussianBasisAction.def"
-#include "Action_impl_pre.hpp"
-/** =========== define the function ====================== */
-Action::state_ptr ParserSetGaussianBasisAction::performCall() {
-  config *configuration = World::getInstance().getConfig();
-
-  string lastname = configuration->basis;
-  // obtain information
-  getParametersfromValueStorage();
-  configuration->basis = params.newname;
-
-  DoLog(1) && (Log() << Verbose(1) << "Setting MPQC basis to " << configuration->basis << "." << endl);
-  return Action::state_ptr(new ParserSetGaussianBasisState(lastname, params));
-}
-
-Action::state_ptr ParserSetGaussianBasisAction::performUndo(Action::state_ptr _state) {
-  ParserSetGaussianBasisState *state = assert_cast<ParserSetGaussianBasisState*>(_state.get());
-
-  config *configuration = World::getInstance().getConfig();
-  configuration->basis = state->lastname;
-
-  return Action::state_ptr(_state);
-}
-
-Action::state_ptr ParserSetGaussianBasisAction::performRedo(Action::state_ptr _state){
-  ParserSetGaussianBasisState *state = assert_cast<ParserSetGaussianBasisState*>(_state.get());
-
-  config *configuration = World::getInstance().getConfig();
-  configuration->basis = state->params.newname;
-
-  return Action::state_ptr(_state);
-}
-
-bool ParserSetGaussianBasisAction::canUndo() {
-  return true;
-}
-
-bool ParserSetGaussianBasisAction::shouldUndo() {
-  return true;
-}
-/** =========== end of function ====================== */
Index: src/Actions/ParserAction/SetGaussianBasisAction.def
===================================================================
--- src/Actions/ParserAction/SetGaussianBasisAction.def	(revision 44fce5cb3fdeb1556c1c02a020dfa99136e835d7)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/*
- * SetGaussianBasisAction.def
- *
- *  Created on: Aug 26, 2010
- *      Author: heber
- */
-
-// all includes and forward declarations necessary for non-integral types below
-
-
-// i.e. there is an integer with variable name Z that can be found in
-// ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
-#define paramtypes (std::string)
-#define paramtokens ("set-basis")
-#define paramdescriptions ("name of the gaussian basis set for MPQC")
-#undef paramdefaults
-#define paramreferences (newname)
-
-#define statetypes (std::string)
-#define statereferences (lastname)
-
-// some defines for all the names, you may use ACTION, STATE and PARAMS
-#define CATEGORY Parser
-#define MENUNAME "parser"
-#define MENUPOSITION 11
-#define ACTIONNAME SetGaussianBasis
-#define TOKEN "set-basis"
-
-
-// finally the information stored in the ActionTrait specialization
-#define DESCRIPTION "set the name of the gaussian basis set for MPQC"
-#define SHORTFORM "M"
Index: src/Actions/ParserAction/SetGaussianBasisAction.hpp
===================================================================
--- src/Actions/ParserAction/SetGaussianBasisAction.hpp	(revision 44fce5cb3fdeb1556c1c02a020dfa99136e835d7)
+++ 	(revision )
@@ -1,22 +1,0 @@
-/*
- * SetGaussianBasisAction.hpp
- *
- *  Created on: May 8, 2010
- *      Author: heber
- */
-
-#ifndef SETGAUSSIANBASISACTION_HPP_
-#define SETGAUSSIANBASISACTION_HPP_
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-
-#include "Actions/Action.hpp"
-
-#include "SetGaussianBasisAction.def"
-#include "Action_impl_header.hpp"
-
-#endif /* SETGAUSSIANBASISACTION_HPP_ */
Index: src/Actions/ParserAction/SetMpqcParametersAction.cpp
===================================================================
--- src/Actions/ParserAction/SetMpqcParametersAction.cpp	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
+++ src/Actions/ParserAction/SetMpqcParametersAction.cpp	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
@@ -0,0 +1,79 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * SetMpqcParametersAction.cpp
+ *
+ *  Created on: May 8, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "Parser/FormatParserStorage.hpp"
+#include "Parser/MpqcParser.hpp"
+#include "Parser/MpqcParser_Parameters.hpp"
+
+#include <iostream>
+#include <string>
+
+using namespace std;
+
+#include "SetMpqcParametersAction.hpp"
+
+// and construct the stuff
+#include "SetMpqcParametersAction.def"
+#include "Action_impl_pre.hpp"
+/** =========== define the function ====================== */
+Action::state_ptr ParserSetMpqcParametersAction::performCall() {
+  MpqcParser_Parameters &mpqc = FormatParserStorage::getInstance().getMpqc().getParams();
+
+  std::stringstream oldparamstream;
+  oldparamstream << mpqc;
+  // obtain information
+  getParametersfromValueStorage();
+  std::stringstream newparamstream(params.newparams);
+  newparamstream >> mpqc;
+
+  return Action::state_ptr(new ParserSetMpqcParametersState(oldparamstream.str(), params));
+}
+
+Action::state_ptr ParserSetMpqcParametersAction::performUndo(Action::state_ptr _state) {
+  ParserSetMpqcParametersState *state = assert_cast<ParserSetMpqcParametersState*>(_state.get());
+
+  MpqcParser_Parameters &mpqc = FormatParserStorage::getInstance().getMpqc().getParams();
+  std::stringstream oldparamstream(state->oldparams);
+  oldparamstream >> mpqc;
+
+  return Action::state_ptr(_state);
+}
+
+Action::state_ptr ParserSetMpqcParametersAction::performRedo(Action::state_ptr _state){
+  ParserSetMpqcParametersState *state = assert_cast<ParserSetMpqcParametersState*>(_state.get());
+
+  MpqcParser_Parameters &mpqc = FormatParserStorage::getInstance().getMpqc().getParams();
+  std::stringstream newparamstream(state->params.newparams);
+  newparamstream >> mpqc;
+
+  return Action::state_ptr(_state);
+}
+
+bool ParserSetMpqcParametersAction::canUndo() {
+  return true;
+}
+
+bool ParserSetMpqcParametersAction::shouldUndo() {
+  return true;
+}
+/** =========== end of function ====================== */
Index: src/Actions/ParserAction/SetMpqcParametersAction.def
===================================================================
--- src/Actions/ParserAction/SetMpqcParametersAction.def	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
+++ src/Actions/ParserAction/SetMpqcParametersAction.def	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
@@ -0,0 +1,33 @@
+/*
+ * SetMpqcParametersAction.def
+ *
+ *  Created on: Aug 26, 2010
+ *      Author: heber
+ */
+
+// all includes and forward declarations necessary for non-integral types below
+
+
+// i.e. there is an integer with variable name Z that can be found in
+// ValueStorage by the token "Z" -> first column: int, Z, "Z"
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (std::string)
+#define paramtokens ("set-mpqc-parameters")
+#define paramdescriptions ("parameter (key = value;) assignment for MPQC")
+#undef paramdefaults
+#define paramreferences (newparams)
+
+#define statetypes (std::string)
+#define statereferences (oldparams)
+
+// some defines for all the names, you may use ACTION, STATE and PARAMS
+#define CATEGORY Parser
+#define MENUNAME "parser"
+#define MENUPOSITION 11
+#define ACTIONNAME SetMpqcParameters
+#define TOKEN "set-mpqc-parameters"
+
+
+// finally the information stored in the ActionTrait specialization
+#define DESCRIPTION "set the parameters for MPQC"
+#define SHORTFORM "M"
Index: src/Actions/ParserAction/SetMpqcParametersAction.hpp
===================================================================
--- src/Actions/ParserAction/SetMpqcParametersAction.hpp	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
+++ src/Actions/ParserAction/SetMpqcParametersAction.hpp	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
@@ -0,0 +1,22 @@
+/*
+ * SetMpqcParametersAction.hpp
+ *
+ *  Created on: May 8, 2010
+ *      Author: heber
+ */
+
+#ifndef SETMPQCPARAMETERSACTION_HPP_
+#define SETMPQCPARAMETERSACTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include "Actions/Action.hpp"
+
+#include "SetMpqcParametersAction.def"
+#include "Action_impl_header.hpp"
+
+#endif /* SETMPQCPARAMETERSACTION_HPP_ */
Index: src/Parser/MpqcParser.cpp
===================================================================
--- src/Parser/MpqcParser.cpp	(revision 44fce5cb3fdeb1556c1c02a020dfa99136e835d7)
+++ src/Parser/MpqcParser.cpp	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
@@ -206,2 +206,7 @@
 }
 
+MpqcParser_Parameters & MpqcParser::getParams()
+{
+  return params;
+}
+
Index: src/Parser/MpqcParser.hpp
===================================================================
--- src/Parser/MpqcParser.hpp	(revision 44fce5cb3fdeb1556c1c02a020dfa99136e835d7)
+++ src/Parser/MpqcParser.hpp	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
@@ -33,4 +33,10 @@
   void save(std::ostream* file, const std::vector<atom *> &atoms);
 
+  /** Getter for parameter set.
+   *
+   * @return reference to parameter class
+   */
+  MpqcParser_Parameters & getParams();
+
 private:
   MpqcParser_Parameters params;
Index: src/Parser/MpqcParser_Parameters.cpp
===================================================================
--- src/Parser/MpqcParser_Parameters.cpp	(revision 44fce5cb3fdeb1556c1c02a020dfa99136e835d7)
+++ src/Parser/MpqcParser_Parameters.cpp	(revision 963321a9c39219a067721dc5f8f1bf433d2e0e92)
@@ -126,14 +126,16 @@
 {}
 
-std::ostream & operator << (std::ostream& ost, MpqcParser_Parameters &mpqc_params)
-{
+std::ostream & operator << (std::ostream& ost, MpqcParser_Parameters const &_mpqc_params)
+{
+  // this is ugly, but with boost::any to safeguard const-ness is plain impossible
+  MpqcParser_Parameters &mpqc_params = const_cast<MpqcParser_Parameters &>(_mpqc_params);
   std::ostringstream output;
-  output << "Hessian=" << mpqc_params.getString(MpqcParser_Parameters::hessianParam) << ";";
-  output << "savestate=" << mpqc_params.getString(MpqcParser_Parameters::savestateParam) << ";";
-  output << "do_gradient=" << mpqc_params.getString(MpqcParser_Parameters::do_gradientParam) << ";";
-  output << "maxiter=" << mpqc_params.getString(MpqcParser_Parameters::maxiterParam) << ";";
-  output << "memory=" << mpqc_params.getString(MpqcParser_Parameters::memoryParam) << ";";
+  output << "Hessian=" << mpqc_params.getBool(MpqcParser_Parameters::hessianParam) << ";";
+  output << "savestate=" << mpqc_params.getBool(MpqcParser_Parameters::savestateParam) << ";";
+  output << "do_gradient=" << mpqc_params.getBool(MpqcParser_Parameters::do_gradientParam) << ";";
+  output << "maxiter=" << mpqc_params.getInt(MpqcParser_Parameters::maxiterParam) << ";";
+  output << "memory=" << mpqc_params.getInt(MpqcParser_Parameters::memoryParam) << ";";
   output << "stdapprox=" << mpqc_params.getString(MpqcParser_Parameters::stdapproxParam) << ";";
-  output << "nfzc=" << mpqc_params.getString(MpqcParser_Parameters::nfzcParam) << ";";
+  output << "nfzc=" << mpqc_params.getInt(MpqcParser_Parameters::nfzcParam) << ";";
   output << "basis=" << mpqc_params.getString(MpqcParser_Parameters::basisParam) << ";";
   output << "aux_basis=" << mpqc_params.getString(MpqcParser_Parameters::aux_basisParam) << ";";